Index: /extensions/simple_themes/simple/.hg_archival.txt
===================================================================
--- /extensions/simple_themes/simple/.hg_archival.txt	(revision 13546)
+++ /extensions/simple_themes/simple/.hg_archival.txt	(revision 13547)
@@ -1,5 +1,5 @@
 repo: ad69c371136d0c4e387cc14fa610d6cbde0fb0e5
-node: 967e328424de5ac22882ee791b601eafef7a9107
+node: b69b7514684b64cff02057f5be00a8f42887dde6
 branch: Simple_Grey
-latesttag: 2.0
+latesttag: 2.1
 latesttagdistance: 1
Index: /extensions/simple_themes/simple/.hgtags
===================================================================
--- /extensions/simple_themes/simple/.hgtags	(revision 13546)
+++ /extensions/simple_themes/simple/.hgtags	(revision 13547)
@@ -2,2 +2,3 @@
 a4ac267f8391f8cf886de538119a5d3fc58d041d 1.3
 387248a694a7eaa7f05496717ed426ff9991dc1b 2.0
+f64aa8ecba6c77aa2ed71bc7b207d94b26cd3466 2.1
Index: /extensions/simple_themes/simple/README.markdown
===================================================================
--- /extensions/simple_themes/simple/README.markdown	(revision 13546)
+++ /extensions/simple_themes/simple/README.markdown	(revision 13547)
@@ -1,6 +1,6 @@
-Simple theme for Piwigo
-=======================
+Simple grey theme for Piwigo
+============================
 
-*Simple* is a theme for *Piwigo* gallery software.
+*Simple grey* is a theme for *Piwigo* gallery software.
 
 This theme was inspired by *gally / Graphite* theme for Piwigo, and *Carbon*
@@ -27,2 +27,20 @@
   extract it in ``your-gallery/template/``.
 
+Changelog
+---------
+
+### version 2.1
+
+- bugfix for user's profile - use default `profile_content.tpl`
+- child themes do not need to have `content.css`
+- use `local_head.tpl`
+- correct order of thumbnails & show copyright on picture page
+- use default as parent theme & change theme URI
+- add quicksearch and style input, textarea, ...
+- add login link in the footer
+
+### version 2.0
+
+- adapt the theme for Piwigo 2.1
+- add Readme
+- tweak for plugins adding icons in .titrePage (piwishak, addthis, ...)
Index: /extensions/simple_themes/simple/content.css
===================================================================
--- /extensions/simple_themes/simple/content.css	(revision 13546)
+++ /extensions/simple_themes/simple/content.css	(revision 13547)
@@ -43,4 +43,5 @@
 .titrePage {
   margin: 1em 0;
+  line-height: 1.5em;
 }
 
@@ -128,7 +129,16 @@
 
 .property {
-  display: block;
-  min-width: 275px;
-  float: left;
+  display: inline-block;
+  width: 180px;
+}
+
+#quicksearch {
+  margin: 1em 0 0;
+}
+#quicksearch p {
+  margin: 0;
+}
+#quicksearch #q {
+  width: 150px;
 }
 
@@ -175,5 +185,5 @@
   margin: 0;
   padding: 0;
-  float: right;
+  float: left;
   width: 200px;
   height: 200px;
@@ -244,9 +254,8 @@
 /* pictures pages */
 
-#thePicturePage #theHeader, #thePicturePage #copyright {
+#thePicturePage #theHeader {
   display: none;
 }
 #thePicturePage #content {
-  margin-bottom: 1em;
   padding: 1em 0 0;
 }
Index: /extensions/simple_themes/simple/template/footer.tpl
===================================================================
--- /extensions/simple_themes/simple/template/footer.tpl	(revision 13546)
+++ /extensions/simple_themes/simple/template/footer.tpl	(revision 13547)
@@ -5,4 +5,5 @@
     {'Powered by'|@translate} <a href="{$PHPWG_URL}">Piwigo</a>
      - <a href="{$themeconf.url}">{$themeconf.name}</a>
+     - <a href="{$U_LOGIN}" rel="nofollow">{'Login'|@translate}</a>
     {if isset($CONTACT_MAIL)}
     - {'Contact'|@translate}
Index: /extensions/simple_themes/simple/template/header.tpl
===================================================================
--- /extensions/simple_themes/simple/template/header.tpl	(revision 13546)
+++ /extensions/simple_themes/simple/template/header.tpl	(revision 13547)
@@ -4,5 +4,5 @@
   <meta http-equiv="Content-Type" content="text/html; charset={$CONTENT_ENCODING}">
   <meta name="generator" content="Piwigo (aka PWG), see piwigo.org">
-{if isset($meta_ref) } 
+{if isset($meta_ref) }
 {if isset($INFO_AUTHOR)}
 <meta name="author" content="{$INFO_AUTHOR|@replace:'"':' '}">
@@ -27,7 +27,7 @@
   {if isset($U_UP)          }<link rel="up" title="{'Thumbnails'|@translate}" href="{$U_UP}" >{/if}
 
+  <link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/simple/content.css">
   {foreach from=$themes item=theme}
   {if $theme.load_css}
-  <link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/{$theme.id}/content.css">
   <link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/{$theme.id}/theme.css">
   {/if}
Index: /extensions/simple_themes/simple/template/index.tpl
===================================================================
--- /extensions/simple_themes/simple/template/index.tpl	(revision 13546)
+++ /extensions/simple_themes/simple/template/index.tpl	(revision 13547)
@@ -46,4 +46,4 @@
   </div> <!-- subContent -->
   <div style="clear: both;"></div>
+  {if !empty($PLUGIN_INDEX_CONTENT_AFTER)}{$PLUGIN_INDEX_CONTENT_AFTER}{/if}
 </div> <!-- content -->
-{if !empty($PLUGIN_INDEX_CONTENT_AFTER)}{$PLUGIN_INDEX_CONTENT_AFTER}{/if}
Index: /extensions/simple_themes/simple/template/menubar_menu.tpl
===================================================================
--- /extensions/simple_themes/simple/template/menubar_menu.tpl	(revision 13546)
+++ /extensions/simple_themes/simple/template/menubar_menu.tpl	(revision 13547)
@@ -1,3 +1,8 @@
 <h3>{'Menu'|@translate}</h3>
+{*if isset($block->data.qsearch) and  $block->data.qsearch==true*}
+<form action="{$ROOT_URL}qsearch.php" method="get" id="quicksearch">
+  <p><input type="text" name="q" id="q" value="{'Quick search'|@translate|@escape:'javascript'}" onfocus="value='';"></p>
+</form>
+{*/if*}
 <ul>
 {foreach from=$block->data item=link}
Index: /extensions/simple_themes/simple/template/profile.tpl
===================================================================
--- /extensions/simple_themes/simple/template/profile.tpl	(revision 13546)
+++ /extensions/simple_themes/simple/template/profile.tpl	(revision 13547)
@@ -15,106 +15,4 @@
   </div>
   {/if}
-  <form method="post" name="profile" action="{$F_ACTION}" id="profile" class="properties">
-    <fieldset>
-      <legend>{'Registration'|@translate}</legend>
-      <input type="hidden" name="redirect" value="{$REDIRECT}" />
-      <ul>
-        <li>
-          <div class="property">{'Username'|@translate}</div>
-          {$USERNAME}
-        </li>
-	{if not $SPECIAL_USER} {* can modify password + email*}
-        <li>
-          <div class="property">
-            <label for="mail_address">{'Email address'|@translate}</label>
-          </div>
-          <input type="text" name="mail_address" id="mail_address" value="{$EMAIL}" size=35>
-        </li>
-	{if not $IN_ADMIN} {* admins do not need old password*}
-        <li>
-          <div class="property">
-            <label for="password">{'Password'|@translate}</label>
-          </div>
-          <input type="password" name="password" id="password" value="">
-        </li>
-	{/if}
-        <li>
-          <div class="property">
-            <label for="use_new_pwd">{'New password'|@translate}</label>
-          </div>
-          <input type="password" name="use_new_pwd" id="use_new_pwd" value="">
-        </li>
-        <li>
-          <div class="property">
-            <label for="passwordConf">{'Confirm Password'|@translate}</label>
-          </div>
-          <input type="password" name="passwordConf" id="passwordConf" value="">
-        </li>
-      </ul>
-      {/if}
-    </fieldset>
-    <fieldset>
-      <legend>{'Preferences'|@translate}</legend>
-      <ul>
-        <li>
-          <div class="property">
-            <label for="nb_image_line">{'Number of images per row'|@translate}</label>
-          </div>
-          <input type="text" size="3" maxlength="2" name="nb_image_line" id="nb_image_line" value="{$NB_IMAGE_LINE}">
-        </li>
-        <li>
-          <div class="property">
-            <label for="nb_line_page">{'Number of rows per page'|@translate}</label>
-          </div>
-          <input type="text" size="3" maxlength="2" name="nb_line_page" id="nb_line_page" value="{$NB_ROW_PAGE}" >
-        </li>
-        <li>
-          <div class="property">
-            <label>{'Interface theme'|@translate}</label>
-          </div>
-          {html_options name=template options=$template_options selected=$template_selection}
-        </li>
-        <li>
-          <div class="property">
-            <label>{'Language'|@translate}</label>
-          </div>
-          {html_options name=language options=$language_options selected=$language_selection}
-        </li>
-        <li>
-          <div class="property">
-            <label for="recent_period">{'Recent period'|@translate}</label>
-          </div>
-          <input type="text" size="3" maxlength="2" name="recent_period" id="recent_period" value="{$RECENT_PERIOD}">
-        </li>
-        <li>
-          <div class="property">{'Expand all categories'|@translate}</div>
-          {html_radios name='expand' options=$radio_options selected=$EXPAND}
-        </li>
-        <li>
-          <div class="property">{'Show number of comments'|@translate}</div>
-          {html_radios name='show_nb_comments' options=$radio_options selected=$NB_COMMENTS}
-        </li>
-        <li>
-          <div class="property">{'Show number of hits'|@translate}</div>
-          {html_radios name='show_nb_hits' options=$radio_options selected=$NB_HITS}
-        </li>
-        <li>
-          <div class="property">
-            <label for="maxwidth">{'Maximum width of the pictures'|@translate}</label>
-          </div>
-          <input type="text" size="4" maxlength="4" name="maxwidth" id="maxwidth" value="{$MAXWIDTH}">
-        </li>
-        <li>
-          <div class="property">
-            <label for="maxheight">{'Maximum height of the pictures'|@translate}</label>
-          </div>
-          <input type="text" size="4" maxlength="4" name="maxheight" id="maxheight" value="{$MAXHEIGHT}">
-        </li>
-      </ul>
-    </fieldset>
-    <p class="bottomButtons">
-      <input class="submit" type="submit" name="validate" value="{'Submit'|@translate}">
-      <input class="submit" type="reset" name="reset" value="{'Reset'|@translate}">
-    </p>
-  </form>
+{$PROFILE_CONTENT}
 </div> <!-- content -->
Index: /extensions/simple_themes/simple/template/slideshow.tpl
===================================================================
--- /extensions/simple_themes/simple/template/slideshow.tpl	(revision 13546)
+++ /extensions/simple_themes/simple/template/slideshow.tpl	(revision 13547)
@@ -1,2 +1,7 @@
+{html_head}
+{literal}
+<style>#copyright {display: none;}</style>
+{/literal}
+{/html_head}
 <div id="slideshow" class="titrePage">
   <div class="imageNumber">{$PHOTO}</div>
Index: /extensions/simple_themes/simple/theme.css
===================================================================
--- /extensions/simple_themes/simple/theme.css	(revision 13546)
+++ /extensions/simple_themes/simple/theme.css	(revision 13547)
@@ -83,9 +83,19 @@
 /* inputs */
 
-input[type="text"], input[type="password"], select, textarea, file {
- background:#f0f0f0;
- color: #333;
- border: 1px solid;
- margin: 0;
+input, select, textarea {
+  background-color: #666;
+  border: 1px solid #999;
+  color: #F0F0F0;
+}
+
+input[type="submit"], input[type="reset"] {
+  background-color: #3f3f3f;
+  border: 1px solid #606060;
+  color: #999;
+}
+input[type="submit"]:hover, input[type="reset"]:hover {
+  background-color: #666;
+  border: 1px solid #999;
+  color: #F0F0F0;
 }
 
@@ -97,6 +107,15 @@
 
 fieldset legend {
-  background-color: #333;
   padding: 0 3px;
+}
+
+fieldset li {
+  margin: 0.5em 0;
+}
+
+#quicksearch #q {
+  background-color: #3f3f3f;
+  border: 1px solid #606060;
+  color: #999;
 }
 
Index: /extensions/simple_themes/simple/themeconf.inc.php
===================================================================
--- /extensions/simple_themes/simple/themeconf.inc.php	(revision 13546)
+++ /extensions/simple_themes/simple/themeconf.inc.php	(revision 13547)
@@ -4,5 +4,5 @@
 Version: 2.0
 Description: Simple Grey theme
-Theme URI: http://saimon.org/blog/pages/Theme-Simple-Grey-Piwigo
+Theme URI: http://piwigo.org/ext/extension_view.php?eid=308
 Author: Saïmon
 Author URI: http://saimon.org/
@@ -10,5 +10,7 @@
 
 $themeconf = array(
-  /* 'parent' => 'default', */
+  'parent' => 'default',
+  'load_parent_css' => false,
+  'load_parent_local_head' => false,
   'name' => 'simple-grey',
   'theme_dir' => 'simple',
@@ -16,4 +18,5 @@
   'admin_icon_dir' => 'themes/default/icon/admin',
   'mime_icon_dir' => 'themes/default/icon/mimetypes/',
+  'local_head' => 'local_head.tpl',
   'url' => 'http://saimon.org/blog/pages/Theme-Simple-Grey-Piwigo'
 );