Index: /extensions/simple_themes/simple/README.md
===================================================================
--- /extensions/simple_themes/simple/README.md	(revision 13553)
+++ /extensions/simple_themes/simple/README.md	(revision 13554)
@@ -43,5 +43,14 @@
 ---------
 
-### version 2.4.2 (05/04/2011)
+### version 2.4.3 (31/05/2011)
+
+* add a #Tags id for tags list, for the user tags plugin
+* use inline-block instead of float left for thumbnails ans categories
+* print css: re-enable it in the header + improve it
+* update README + add debugging mode in themeconf
+* language strings
+* new script to tag a new version and generate a zip archive
+
+### version 2.4.2 (10/04/2011)
 
 * fix version in themeconf (needed for update manager)
Index: /extensions/simple_themes/simple/content.css
===================================================================
--- /extensions/simple_themes/simple/content.css	(revision 13553)
+++ /extensions/simple_themes/simple/content.css	(revision 13554)
@@ -193,5 +193,5 @@
   margin: 0;
   padding: 0;
-  float: left;
+  display: inline-block;
   width: 200px;
   height: 200px;
@@ -216,5 +216,5 @@
 
 .thumbnailCategories li {
-  float: left;
+  display: inline-block;
   height: 160px;
   overflow: hidden;
@@ -225,5 +225,4 @@
 .illustration {
   float: left;
-  margin: 0.2em;
   width: 150px;
 }
Index: /extensions/simple_themes/simple/js/scripts.js
===================================================================
--- /extensions/simple_themes/simple/js/scripts.js	(revision 13553)
+++ /extensions/simple_themes/simple/js/scripts.js	(revision 13554)
@@ -1,5 +1,4 @@
-// if cl_conflit is not used, use jQuery.noConflict to work with other libs
-if (typeof (Conflit) == "undefined")
-   jQuery.noConflict();
+// use this in case of conflicts with other js frameworks
+// jQuery.noConflict();
 
 jQuery(document).ready(function($){
Index: /extensions/simple_themes/simple/newversion.sh
===================================================================
--- /extensions/simple_themes/simple/newversion.sh	(revision 13554)
+++ /extensions/simple_themes/simple/newversion.sh	(revision 13554)
@@ -0,0 +1,22 @@
+#!/bin/sh
+# -*- coding: utf-8 -*-
+
+if [ $# -eq 0 ]; then
+    echo "Usage: $0 version"
+    exit 1
+fi
+
+version="$1"
+
+sed -i "s/Version: .*/Version: $version/" themeconf.inc.php
+git ci -m "new version $version" themeconf.inc.php
+
+echo "New tag for version $version"
+git tag $version
+
+echo "Pushing to github"
+git push
+git push --tags
+
+git archive --format=zip --prefix=simple/ HEAD > ../simple-$version.zip
+echo "zip archive available: ../simple-$version.zip"
Index: /extensions/simple_themes/simple/print.css
===================================================================
--- /extensions/simple_themes/simple/print.css	(revision 13553)
+++ /extensions/simple_themes/simple/print.css	(revision 13554)
@@ -1,16 +1,56 @@
 body {
-    margin: 0;
-    color: #000000;
-    background: #ffffff;
+  width: auto!important;
+  margin: auto!important;
+  font-family: serif;
+  font-size: 12pt;
+  background-color: #fff!important;
+  color: #000!important;
+}
+#menubar, #menuswitcher, #content .navigationBar, ul.categoryActions,
+#content div.calendarViews, .calendarBar, #imageToolBar, #addComment,
+.logon_block {
+    display: none !important;
+}
+p, h1, h2, h3, h4, h5, h6, blockquote, ul, ol {
+  color: #000!important;
+  margin: auto!important;
+}
+.print {
+  display: block; /* affichage des éléments de classe print */
+}
+p, blockquote {
+  orphans: 3; /* pas de ligne seule en bas */
+  widows: 3; /* pas de ligne seule en haut */
+}
+blockquote, ul, ol {
+  page-break-inside: avoid; /* pas de coupure dans ces élements */
+}
+h1 {
+  page-break-before: always; /* chaque titre commence sur une nouvelle page */
+}
+h1, h2, h3, caption {
+  page-break-after: avoid; /* pas de saut après ces éléments */
+}
+a {
+  color: #000!important;
+  text-decoration: none !important;
+}
+a[href]:after {
+  content: " (" attr(href) ")"; /* affichage des URL des liens */
+  font-size: 8pt;
+  font-style: italic;
 }
 
-#content {
-    margin: 0;
+.titrePage, .subcontent {
+    clear: left;
 }
-
-#menubar, #content .navigationBar, ul.categoryActions,
-#content div.calendarViews, .calendarBar, #imageToolBar, #addComment {
-    display: none;
+.thumbnailCategories li {
+  display: inline-block;
+  width: 45%;
+  margin-top: 1em;
+  vertical-align: top;
 }
-
-
+.thumbCatDesc {
+  height: 2.5em;
+  overflow: hidden;
+}
Index: /extensions/simple_themes/simple/template/header.tpl
===================================================================
--- /extensions/simple_themes/simple/template/header.tpl	(revision 13553)
+++ /extensions/simple_themes/simple/template/header.tpl	(revision 13554)
@@ -46,4 +46,6 @@
 {/foreach}
 
+  <link rel="stylesheet" type="text/css" media="print" href="{$ROOT_URL}themes/simple/print.css">
+
   {if isset($U_PREFETCH)}<link rel="prefetch" href="{$U_PREFETCH}">{/if}
   {if not empty($page_refresh)}
Index: /extensions/simple_themes/simple/template/index.tpl
===================================================================
--- /extensions/simple_themes/simple/template/index.tpl	(revision 13553)
+++ /extensions/simple_themes/simple/template/index.tpl	(revision 13554)
@@ -5,5 +5,5 @@
   <ul class="categoryActions">
     {if isset($U_EDIT)}
-    <li><a href="{$U_EDIT}" title="{'edit category informations'|@translate}">{'edit'|@translate}</a></li>
+    <li><a href="{$U_EDIT}" title="{'edit album informations'|@translate}">{'edit'|@translate}</a></li>
     {/if}
     {if isset($U_SLIDESHOW)}
@@ -39,5 +39,5 @@
     {if !empty($PLUGIN_INDEX_CONTENT_BEGIN)}{$PLUGIN_INDEX_CONTENT_BEGIN}{/if}
     {if !empty($category_search_results) }
-    <div>{'Category results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
+    <div>{'Album results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
       {foreach from=$category_search_results item=res name=res_loop}
       {if !$smarty.foreach.res_loop.first} &mdash; {/if}
Index: /extensions/simple_themes/simple/template/notification.tpl
===================================================================
--- /extensions/simple_themes/simple/template/notification.tpl	(revision 13553)
+++ /extensions/simple_themes/simple/template/notification.tpl	(revision 13554)
@@ -6,5 +6,5 @@
 </div>
 <div id="content">
-  <p>{'The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'|@translate}</p>
+  <p>{'The RSS notification feed provides notification on news from this website : new photos, updated categories, new comments. Use a RSS feed reader.'|@translate}</p>
   <ul>
     <li><a href="{$U_FEED_IMAGE_ONLY}">{'Photos only RSS feed'|@translate}</a></li>
Index: /extensions/simple_themes/simple/template/picture.tpl
===================================================================
--- /extensions/simple_themes/simple/template/picture.tpl	(revision 13553)
+++ /extensions/simple_themes/simple/template/picture.tpl	(revision 13554)
@@ -58,5 +58,5 @@
         {/if}
         {if !empty($U_SET_AS_REPRESENTATIVE) }
-        <li><a href="{$U_SET_AS_REPRESENTATIVE}" title="{'set as category representative'|@translate}">{'representative'|@translate}</a></li>
+        <li><a href="{$U_SET_AS_REPRESENTATIVE}" title="{'set as album representative'|@translate}">{'representative'|@translate}</a></li>
         {/if}
         {if isset($U_ADMIN) }
@@ -94,8 +94,9 @@
         {if $display_info.tags and isset($related_tags)}
         <dt>{'Tags'|@translate}</dt>
-        <dd>
+        <dd id="Tags">
           {foreach from=$related_tags item=tag name=tag_loop}
           {if !$smarty.foreach.tag_loop.first}, {/if}
-          <a href="{$tag.URL}">{$tag.name}</a>{/foreach}
+          <a href="{$tag.URL}">{$tag.name}</a>
+          {/foreach}
         </dd>
         {/if}
@@ -125,5 +126,5 @@
         {/if}
         {if isset($rating)}
-        <dt><span id="updateRate">{if isset($rating.USER_RATE)}{'Update your rating'|@translate}{else}{'Rate this picture'|@translate}{/if}</span></dt>
+        <dt><span id="updateRate">{if isset($rating.USER_RATE)}{'Update your rating'|@translate}{else}{'Rate this photo'|@translate}{/if}</span></dt>
         <dd>
           <form action="{$rating.F_ACTION}" method="post" id="rateForm">
Index: /extensions/simple_themes/simple/themeconf.inc.php
===================================================================
--- /extensions/simple_themes/simple/themeconf.inc.php	(revision 13553)
+++ /extensions/simple_themes/simple/themeconf.inc.php	(revision 13554)
@@ -2,5 +2,5 @@
 /*
 Theme Name: Simple Grey
-Version: 2.4.2
+Version: 2.4.3
 Description: Simple Grey
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=308
@@ -27,3 +27,6 @@
 load_language('theme.lang', PHPWG_THEMES_PATH.'simple/');
 
+// debug - do not combine files
+// $conf['template_combine_files'] = false;
+
 ?>