Index: extensions/simple_themes/simple/content.css
===================================================================
--- extensions/simple_themes/simple/content.css	(revision 13555)
+++ extensions/simple_themes/simple/content.css	(revision 13556)
@@ -218,4 +218,5 @@
   height: 160px;
   overflow: hidden;
+  vertical-align: top;
   margin: 1em;
   width: 45%;
@@ -394,6 +395,6 @@
 
 #theCommentsPage #comments li {
-  clear: left;
-  list-style: none;
+  list-style: none;
+  display: table-row;
 }
 
@@ -401,4 +402,12 @@
   display: inline-block;
   line-height: 25px;
+}
+
+#comments .description {
+  vertical-align: top;
+  display: inline-block;
+}
+#comments .illustration {
+  width: auto;
 }
 
Index: extensions/simple_themes/simple/template/about.tpl
===================================================================
--- extensions/simple_themes/simple/template/about.tpl	(revision 13555)
+++ extensions/simple_themes/simple/template/about.tpl	(revision 13556)
@@ -1,20 +1,18 @@
-<div class="titrePage">
-  <ul class="categoryActions">
-    <li><a href="{$U_HOME}" title="{'Home'|@translate}">{'Home'|@translate}</a></li>
-  </ul>
-  <h2>{'About'|@translate}</h2>
-</div>
+{assign var='pagetitle' value='About'}
+{include file='pagetitle.tpl'}
+
 <div id="content">
-{if isset($MENUBAR)}{$MENUBAR}{/if}
+  {if isset($MENUBAR)}{$MENUBAR}{/if}
   {$ABOUT_MESSAGE}
   {if isset($THEME_ABOUT) }
   <ul>
-   <li>{$THEME_ABOUT}</li>
+    <li>{$THEME_ABOUT}</li>
   </ul>
   {/if}
   {if not empty($about_msgs)}
-    {foreach from=$about_msgs item=elt}
-    {$elt}
-    {/foreach}
+  {foreach from=$about_msgs item=elt}
+  {$elt}
+  {/foreach}
   {/if}
+  <div style="clear: both;"></div>
 </div>
Index: extensions/simple_themes/simple/template/comments.tpl
===================================================================
--- extensions/simple_themes/simple/template/comments.tpl	(revision 13555)
+++ extensions/simple_themes/simple/template/comments.tpl	(revision 13556)
@@ -1,10 +1,7 @@
-<div class="titrePage">
-  <ul class="categoryActions">
-    <li><a class="button" href="{$U_HOME}" title="{'Home'|@translate}">{'Home'|@translate}</a></li>
-  </ul>
-  <h2>{'User comments'|@translate}</h2>
-</div>
+{assign var='pagetitle' value='User comments'}
+{include file='pagetitle.tpl'}
+
 <div id="content">
-{if isset($MENUBAR)}{$MENUBAR}{/if}
+  {if isset($MENUBAR)}{$MENUBAR}{/if}
   <form class="filter" action="{$F_ACTION}" method="get">
     <fieldset>
Index: extensions/simple_themes/simple/template/identification.tpl
===================================================================
--- extensions/simple_themes/simple/template/identification.tpl	(revision 13555)
+++ extensions/simple_themes/simple/template/identification.tpl	(revision 13556)
@@ -1,10 +1,7 @@
-<div class="titrePage">
-  <ul class="categoryActions">
-    <li><a href="{$U_HOME}" title="{'Home'|@translate}">{'Home'|@translate}</a></li>
-  </ul>
-  <h2>{'Identification'|@translate}</h2>
-</div>
+{assign var='pagetitle' value='Identification'}
+{include file='pagetitle.tpl'}
+
 <div id="content">
-{if isset($MENUBAR)}{$MENUBAR}{/if}
+  {if isset($MENUBAR)}{$MENUBAR}{/if}
   {if isset($errors) }
   <div class="errors">
@@ -53,6 +50,9 @@
     </p>
   </form>
-<script type="text/javascript"><!--
+  <script type="text/javascript">
+    <!--
        document.login_form.username.focus();
-//--></script>
+    //-->
+  </script>
+  <div style="clear: both;"></div>
 </div> <!-- content -->
Index: extensions/simple_themes/simple/template/index.tpl
===================================================================
--- extensions/simple_themes/simple/template/index.tpl	(revision 13555)
+++ extensions/simple_themes/simple/template/index.tpl	(revision 13556)
@@ -71,3 +71,2 @@
   <div style="clear: both;"></div>
 </div> <!-- content -->
-
Index: extensions/simple_themes/simple/template/nbm.tpl
===================================================================
--- extensions/simple_themes/simple/template/nbm.tpl	(revision 13555)
+++ extensions/simple_themes/simple/template/nbm.tpl	(revision 13556)
@@ -1,10 +1,7 @@
-<div class="titrePage">
-  <ul class="categoryActions">
-    <li><a href="{$U_HOME}" title="{'Home'|@translate}">{'Home'|@translate}</a></li>
-  </ul>
-  <h2>{'Notification'|@translate}</h2>
-</div>
+{assign var='pagetitle' value='Notification'}
+{include file='pagetitle.tpl'}
+
 <div id="content">
-{if isset($MENUBAR)}{$MENUBAR}{/if}
+  {if isset($MENUBAR)}{$MENUBAR}{/if}
   {if not empty($errors)}
   <div class="errors">
Index: extensions/simple_themes/simple/template/notification.tpl
===================================================================
--- extensions/simple_themes/simple/template/notification.tpl	(revision 13555)
+++ extensions/simple_themes/simple/template/notification.tpl	(revision 13556)
@@ -1,14 +1,14 @@
-<div class="titrePage">
-  <ul class="categoryActions">
-    <li><a href="{$U_HOME}" title="{'Home'|@translate}">{'Home'|@translate}</a></li>
-  </ul>
-  <h2>{'Notification'|@translate}</h2>
-</div>
+{assign var='pagetitle' value='Notification'}
+{include file='pagetitle.tpl'}
+
 <div id="content">
-{if isset($MENUBAR)}{$MENUBAR}{/if}
-  <p>{'The RSS notification feed provides notification on news from this website : new photos, updated categories, new comments. Use a RSS feed reader.'|@translate}</p>
+  {if isset($MENUBAR)}{$MENUBAR}{/if}
+  <p>{'The RSS notification feed provides notification on news from this
+  website : new photos, updated categories, new comments. Use a RSS feed
+  reader.'|@translate}</p>
   <ul>
     <li><a href="{$U_FEED_IMAGE_ONLY}">{'Photos only RSS feed'|@translate}</a></li>
     <li><a href="{$U_FEED}">{'Complete RSS feed (photos, comments)'|@translate}</a></li>
   </ul>
+  <div style="clear: both;"></div>
 </div>
Index: extensions/simple_themes/simple/template/pagetitle.tpl
===================================================================
--- extensions/simple_themes/simple/template/pagetitle.tpl	(revision 13556)
+++ extensions/simple_themes/simple/template/pagetitle.tpl	(revision 13556)
@@ -0,0 +1,7 @@
+<div class="titrePage">
+  <span id="menuswitcher" title="{'Show/hide menu'|@translate}">Menu</span> »
+  <ul class="categoryActions">
+    <li><a href="{$U_HOME}" title="{'Home'|@translate}">{'Home'|@translate}</a></li>
+  </ul>
+  <h2>{$pagetitle|@translate}</h2>
+</div>
Index: extensions/simple_themes/simple/template/password.tpl
===================================================================
--- extensions/simple_themes/simple/template/password.tpl	(revision 13555)
+++ extensions/simple_themes/simple/template/password.tpl	(revision 13556)
@@ -1,10 +1,7 @@
-<div class="titrePage">
-  <ul class="categoryActions">
-    <li><a class="button" href="{$U_HOME}" title="{'Home'|@translate}">{'Home'|@translate}</a></li>
-  </ul>
-  <h2>{'Password forgotten'|@translate}</h2>
-</div>
+{assign var='pagetitle' value='Password forgotten'}
+{include file='pagetitle.tpl'}
+
 <div id="content">
-{if isset($MENUBAR)}{$MENUBAR}{/if}
+  {if isset($MENUBAR)}{$MENUBAR}{/if}
   {if count($errors)}
   <div class="errors">
@@ -27,53 +24,52 @@
   {/if}
 
-{if $action ne 'none'}
-<form id="lostPassword" action="{$form_action}?action={$action}{if isset($key)}&amp;key={$key}{/if}" method="post">
-  <input type="hidden" name="pwg_token" value="{$PWG_TOKEN}">
+  {if $action ne 'none'}
+  <form id="lostPassword" action="{$form_action}?action={$action}{if isset($key)}&amp;key={$key}{/if}" method="post">
+    <input type="hidden" name="pwg_token" value="{$PWG_TOKEN}">
 
-  {if $action eq 'lost'}
-  <div class="message">{'Please enter your username or email address.'|@translate} {'You will receive a link to create a new password via email.'|@translate}</div>
+    {if $action eq 'lost'}
+    <div class="message">{'Please enter your username or email address.'|@translate} {'You will receive a link to create a new password via email.'|@translate}</div>
 
-  <p>
-    <label>
-      {'Username or email'|@translate}
-      <br>
-      <input type="text" id="username_or_email" name="username_or_email" size="40" maxlength="40"{if isset($username_or_email)} value="{$username_or_email}"{/if}>
-    </label>
-  </p>
+    <p>
+      <label>
+        {'Username or email'|@translate}
+        <br>
+        <input type="text" id="username_or_email" name="username_or_email" size="40" maxlength="40"{if isset($username_or_email)} value="{$username_or_email}"{/if}>
+      </label>
+    </p>
 
-  <p class="bottomButtons"><input class="submit" type="submit" name="submit" value="{'Change my password'|@translate}"></p>
-  {elseif $action eq 'reset'}
+    <p class="bottomButtons"><input class="submit" type="submit" name="submit" value="{'Change my password'|@translate}"></p>
+    {elseif $action eq 'reset'}
 
-  <div class="message">{'Hello'|@translate} <em>{$username}</em>. {'Enter your new password below.'|@translate}</div>
+    <div class="message">{'Hello'|@translate} <em>{$username}</em>. {'Enter your new password below.'|@translate}</div>
 
-  <p>
-    <label>
-      {'New password'|@translate}
-      <br>
-      <input type="password" name="use_new_pwd" id="use_new_pwd" value="">
-    </label>
-  </p>
+    <p>
+      <label>
+        {'New password'|@translate}
+        <br>
+        <input type="password" name="use_new_pwd" id="use_new_pwd" value="">
+      </label>
+    </p>
 
-  <p>
-    <label>
-      {'Confirm Password'|@translate}
-      <br>
-      <input type="password" name="passwordConf" id="passwordConf" value="">
-    </label>
-  </p>
+    <p>
+      <label>
+        {'Confirm Password'|@translate}
+        <br>
+        <input type="password" name="passwordConf" id="passwordConf" value="">
+      </label>
+    </p>
 
-  <p class="bottomButtons"><input class="submit" type="submit" name="submit" value="{'Submit'|@translate}"></p>
-  {/if}
+    <p class="bottomButtons"><input class="submit" type="submit" name="submit" value="{'Submit'|@translate}"></p>
+    {/if}
 
   </form>
-{/if} {* $action ne 'none' *}
+  {/if} {* $action ne 'none' *}
 
-<script type="text/javascript">
-{if $action eq 'lost'}
-{literal}try{document.getElementById('username_or_email').focus();}catch(e){}{/literal}
-{elseif $action eq 'reset'}
-{literal}try{document.getElementById('use_new_pwd').focus();}catch(e){}{/literal}
-{/if}
-</script>
-
+  <script type="text/javascript">
+    {if $action eq 'lost'}
+    {literal}try{document.getElementById('username_or_email').focus();}catch(e){}{/literal}
+    {elseif $action eq 'reset'}
+    {literal}try{document.getElementById('use_new_pwd').focus();}catch(e){}{/literal}
+    {/if}
+  </script>
 </div> <!-- content -->
Index: extensions/simple_themes/simple/template/profile.tpl
===================================================================
--- extensions/simple_themes/simple/template/profile.tpl	(revision 13555)
+++ extensions/simple_themes/simple/template/profile.tpl	(revision 13556)
@@ -1,10 +1,7 @@
-<div class="titrePage">
-  <ul class="categoryActions">
-    <li><a href="{$U_HOME}" title="{'Home'|@translate}">{'Home'|@translate}</a></li>
-  </ul>
-  <h2>{'Profile'|@translate}</h2>
-</div>
+{assign var='pagetitle' value='Profile'}
+{include file='pagetitle.tpl'}
+
 <div id="content">
-{if isset($MENUBAR)}{$MENUBAR}{/if}
+  {if isset($MENUBAR)}{$MENUBAR}{/if}
   {if isset($errors)}
   <div class="errors">
@@ -16,4 +13,5 @@
   </div>
   {/if}
-{$PROFILE_CONTENT}
+  {$PROFILE_CONTENT}
+  <div style="clear: both;"></div>
 </div> <!-- content -->
Index: extensions/simple_themes/simple/template/register.tpl
===================================================================
--- extensions/simple_themes/simple/template/register.tpl	(revision 13555)
+++ extensions/simple_themes/simple/template/register.tpl	(revision 13556)
@@ -1,10 +1,7 @@
-<div class="titrePage">
-  <ul class="categoryActions">
-    <li><a href="{$U_HOME}" title="{'Home'|@translate}">{'Home'|@translate}</a></li>
-  </ul>
-  <h2>{'Registration'|@translate}</h2>
-</div>
+{assign var='pagetitle' value='Registration'}
+{include file='pagetitle.tpl'}
+
 <div id="content">
-{if isset($MENUBAR)}{$MENUBAR}{/if}
+  {if isset($MENUBAR)}{$MENUBAR}{/if}
   {if isset($errors)}
   <div class="errors">
@@ -59,3 +56,4 @@
        //-->
   </script>
+  <div style="clear: both;"></div>
 </div> <!-- content -->
Index: extensions/simple_themes/simple/template/search.tpl
===================================================================
--- extensions/simple_themes/simple/template/search.tpl	(revision 13555)
+++ extensions/simple_themes/simple/template/search.tpl	(revision 13556)
@@ -1,10 +1,7 @@
-<div class="titrePage">
-  <ul class="categoryActions">
-    <li><a href="{$U_HOME}" title="{'Home'|@translate}" rel="home">{'Home'|@translate}</a></li>
-  </ul>
-  <h2>{'Search'|@translate}</h2>
-</div>
+{assign var='pagetitle' value='Search'}
+{include file='pagetitle.tpl'}
+
 <div id="content">
-{if isset($MENUBAR)}{$MENUBAR}{/if}
+  {if isset($MENUBAR)}{$MENUBAR}{/if}
   {if isset($errors) }
   <div class="errors">
Index: extensions/simple_themes/simple/template/search_rules.tpl
===================================================================
--- extensions/simple_themes/simple/template/search_rules.tpl	(revision 13555)
+++ extensions/simple_themes/simple/template/search_rules.tpl	(revision 13556)
@@ -1,10 +1,7 @@
-<div class="titrePage">
-  <ul class="categoryActions">
-    <li><a href="#" onclick="window.close();" title="{'Close this window'|@translate}">{'Close this window'|@translate}</a></li>
-  </ul>
-  <h2>{'Search rules'|@translate}</h2>
-</div>
+{assign var='pagetitle' value='Search rules'}
+{include file='pagetitle.tpl'}
+
 <div id="content">
-{if isset($MENUBAR)}{$MENUBAR}{/if}
+  {if isset($MENUBAR)}{$MENUBAR}{/if}
   {if isset($INTRODUCTION) }
   <p>{$INTRODUCTION}</p>
Index: extensions/simple_themes/simple/template/tags.tpl
===================================================================
--- extensions/simple_themes/simple/template/tags.tpl	(revision 13555)
+++ extensions/simple_themes/simple/template/tags.tpl	(revision 13556)
@@ -47,3 +47,4 @@
   {/if}
 {/if}
+<div style="clear: both;"></div>
 </div> <!-- content -->
Index: extensions/simple_themes/simple/template/upload.tpl
===================================================================
--- extensions/simple_themes/simple/template/upload.tpl	(revision 13555)
+++ extensions/simple_themes/simple/template/upload.tpl	(revision 13556)
@@ -1,10 +1,7 @@
-<div class="titrePage">
-  <ul class="categoryActions">
-    <li><a href="{$U_HOME}" title="{'Home'|@translate}">{'Home'|@translate}</a></li>
-  </ul>
-  <h2>{'Upload a picture'|@translate}</h2>
-</div>
+{assign var='pagetitle' value='Upload a picture'}
+{include file='pagetitle.tpl'}
+
 <div id="content">
-{if isset($MENUBAR)}{$MENUBAR}{/if}
+  {if isset($MENUBAR)}{$MENUBAR}{/if}
   {if isset($errors) and count($errors)}
   <div class="errors">
Index: extensions/simple_themes/simple/themeconf.inc.php
===================================================================
--- extensions/simple_themes/simple/themeconf.inc.php	(revision 13555)
+++ extensions/simple_themes/simple/themeconf.inc.php	(revision 13556)
@@ -2,5 +2,5 @@
 /*
 Theme Name: Simple Grey
-Version: 2.5
+Version: 2.5.1
 Description: Simple Grey
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=308