Index: /extensions/simple_themes/simple/README.md
===================================================================
--- /extensions/simple_themes/simple/README.md	(revision 13556)
+++ /extensions/simple_themes/simple/README.md	(revision 13557)
@@ -43,4 +43,20 @@
 ---------
 
+### version 2.5.1 (18/10/2011)
+
+* refactor code for #titrePage and add the link to switch the menu
+* fixes for comments page
+* fixes for pages where the $MENUBAR is present
+
+### version 2.5 (08/10/2011)
+
+* use media queries to adapt layout for small screens
+* remove arbitrary limit on width: the picture will simply be partially hidden if too wide
+* update password.tpl
+* add MENUBAR on all pages
+* Spelling correction in README
+* update url
+* bugfix for the feature 'open external links in new window' for menubar links
+
 ### version 2.4.3 (31/05/2011)
 
@@ -74,5 +90,5 @@
 
 * if cl_conflit is used, don't add jQuery.noConflict
-* fix the possibility to toggle visibility of image information 
+* fix the possibility to toggle visibility of image information
 * show logout link when connected - thanks to gbo
 * update jquery to 1.4.4
@@ -110,7 +126,2 @@
 - add Readme
 - tweak for plugins adding icons in .titrePage (piwishak, addthis, ...)
-
-
-## TODO
-
-- put rss link in header.tpl (when ready)
Index: /extensions/simple_themes/simple/content.css
===================================================================
--- /extensions/simple_themes/simple/content.css	(revision 13556)
+++ /extensions/simple_themes/simple/content.css	(revision 13557)
@@ -9,5 +9,5 @@
 }
 
-img { border: 0; }
+img { border: 0; max-width: 100%; }
 a { text-decoration: none; }
 hr { border: 1px #999999 solid; }
@@ -190,14 +190,12 @@
 
 #thumbnails li, .middle_block > ul li {
-  margin: 0;
+  margin: 1em;
   padding: 0;
   display: inline-block;
-  width: 200px;
-  height: 200px;
+  vertical-align: middle;
 }
 
 .nb-comments, .nb-hits {
   font-weight: normal;
-  display: block;
 }
 .zero {
@@ -209,5 +207,5 @@
 .thumbnailCategories {
   margin: 0;
-  padding: 1em;
+  padding: 0;
   overflow: hidden;
   list-style: none;
@@ -216,19 +214,16 @@
 .thumbnailCategories li {
   display: inline-block;
-  height: 160px;
   overflow: hidden;
   vertical-align: top;
   margin: 1em;
-  width: 45%;
+  width: 29%;
+  text-align: center;
 }
 
 .illustration {
-  float: left;
-  width: 150px;
 }
 
 .description {
   overflow: auto;
-  padding-left: 1em;
 }
 
@@ -312,5 +307,5 @@
   text-align: center;
   padding: 1em 0 2em;
-  margin: auto;
+  margin: 0 auto;
   overflow: hidden;
 }
@@ -336,6 +331,9 @@
 
 #slideshow {
-  width: 656px;
-  margin: 1em auto 0;
+  margin: 1em auto;
+}
+#slideshow .titrePage {
+  width: 600px;
+  margin: 0 auto;
 }
 
@@ -345,4 +343,8 @@
   float: right;
   margin-right: 1em;
+}
+#slideshow #theImage {
+  float: none;
+  width: 100%;
 }
 
Index: /extensions/simple_themes/simple/template/slideshow.tpl
===================================================================
--- /extensions/simple_themes/simple/template/slideshow.tpl	(revision 13556)
+++ /extensions/simple_themes/simple/template/slideshow.tpl	(revision 13557)
@@ -1,18 +1,22 @@
 {html_head}
 {literal}
-<style>#copyright {display: none;}</style>
+<style>
+  #copyright { display: none; }
+</style>
 {/literal}
 {/html_head}
-<div id="slideshow" class="titrePage">
-  <div class="imageNumber">{$PHOTO}</div>
-  {include file='picture_nav_buttons.tpl'|@get_extent:'picture_nav_buttons'}
-  {if $SHOW_PICTURE_NAME_ON_TITLE }
-  <h2>{$current.TITLE}</h2>
-  {/if}
+<div id="slideshow">
+  <div class="titrePage">
+    <div class="imageNumber">{$PHOTO}</div>
+    {include file='picture_nav_buttons.tpl'|@get_extent:'picture_nav_buttons'}
+    {if $SHOW_PICTURE_NAME_ON_TITLE }
+    <h2>{$current.TITLE}</h2>
+    {/if}
+  </div>
+  <div id="theImage">
+    {$ELEMENT_CONTENT}
+    {if isset($COMMENT_IMG)}
+    <p class="showlegend">{$COMMENT_IMG}</p>
+    {/if}
+  </div>
 </div>
-<div id="theImage">
-  {$ELEMENT_CONTENT}
-  {if isset($COMMENT_IMG)}
-  <p class="showlegend">{$COMMENT_IMG}</p>
-  {/if}
-</div>
Index: /extensions/simple_themes/simple/template/thumbnails.tpl
===================================================================
--- /extensions/simple_themes/simple/template/thumbnails.tpl	(revision 13556)
+++ /extensions/simple_themes/simple/template/thumbnails.tpl	(revision 13557)
@@ -6,4 +6,5 @@
       <img class="thumbnail" src="{$thumbnail.TN_SRC}" alt="{$thumbnail.TN_ALT}" title="{$thumbnail.TN_TITLE}" />
     </a>
+    {if $SHOW_THUMBNAIL_CAPTION }
     <p>
       {if isset($thumbnail.NAME)}{$thumbnail.NAME}{/if}
@@ -13,13 +14,16 @@
       {if isset($thumbnail.NB_COMMENTS)}
       <span class="{if 0==$thumbnail.NB_COMMENTS}zero {/if}nb-comments">
-        {$pwg->l10n_dec('%d comment', '%d comments',$thumbnail.NB_COMMENTS)}
+        ({$pwg->l10n_dec('%d comment', '%d comments',$thumbnail.NB_COMMENTS)})
       </span>
       {/if}
-{*      {if isset($thumbnail.NB_HITS)}
+      {*
+      {if isset($thumbnail.NB_HITS)}
       <span class="{if 0==$thumbnail.NB_HITS}zero {/if}nb-hits">
         {$pwg->l10n_dec('%d hit', '%d hits',$thumbnail.NB_HITS)}
       </span>
-      {/if} *}
+      {/if}
+      *}
     </p>
+    {/if}
   </li>
   {/foreach}
Index: /extensions/simple_themes/simple/themeconf.inc.php
===================================================================
--- /extensions/simple_themes/simple/themeconf.inc.php	(revision 13556)
+++ /extensions/simple_themes/simple/themeconf.inc.php	(revision 13557)
@@ -2,5 +2,5 @@
 /*
 Theme Name: Simple Grey
-Version: 2.5.1
+Version: 2.5.2
 Description: Simple Grey
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=308