Index: /trunk/language/pt_PT/admin.lang.php
===================================================================
--- /trunk/language/pt_PT/admin.lang.php	(revision 13563)
+++ /trunk/language/pt_PT/admin.lang.php	(revision 13564)
@@ -298,10 +298,5 @@
 $lang['registration date'] = 'data de registo';
 $lang['clean'] = 'limpar';
-$lang['remove remote listing.xml file'] = 'remover o ficheiro remoto listing.xml';
-$lang['generate listing'] = 'gerar lista';
-$lang['generate file listing.xml on remote site'] = 'gerar ficheiro listing.xml no site remoto';
 $lang['Create this site'] = 'Criar este site';
-$lang['A local listing.xml file has been found for'] = 'Um ficheiro local listing.xml foi encontrado por ';
-$lang['read local listing.xml and update'] = 'ler o ficheiro local listing.xml e actualizar';
 $lang['test'] = 'testar';
 $lang['test this remote site'] = 'testar este site remoto';
@@ -318,5 +313,4 @@
 $lang['deleted'] = 'apagado';
 $lang['an error happened'] = 'aconteceu um erro';
-$lang['file create_listing_file.php on remote site was not found'] = 'o ficheiro create_listing_file.php no site remoto não foi encontrado';
 $lang['Local'] = 'Local';
 $lang['Remote'] = 'Remoto';
@@ -356,8 +350,4 @@
 $lang['Choose an option'] = 'Escolher uma opção';
 $lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'exibir o máximo de informações (álbums e fotos adicionados, álbums e fotos apagados)';
-$lang['Piwigo version differs on the remote site'] = 'Versão Piwigo difere do site remoto';
-$lang['Version of create_listing_file.php on the remote site and Piwigo must be the same'] = 'A versão de create_listing_file.php no site remoto e do Piwigo devem ser a mesma';
-$lang['listing.xml file was not found'] = 'o ficheiro listing.xml não foi encontrado';
-$lang['listing.xml file was not found on the remote site. This file is generated by choosing the "generate listing" command in the Site manager'] = 'O ficheiro listing.xml não foi encontrado no site remoto. Este ficheiro é criado ao escolher o comando "generate listing" no Gestor de Galeria';
 $lang['Error list'] = 'Lista de erros';
 $lang['Errors caption'] = 'Captura de erros';
@@ -365,6 +355,4 @@
 $lang['File/directory read error'] = 'Erro de leitura em ficheiro/pasta';
 $lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = 'O ficheiro ou pasta não pode ser acedido (ou ele não existe ou o acesso foi negado)';
-$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the album directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'Um tipo de ficheiro de imagem requer uma miniatura. A miniatura deve estar presente no sub-diretório "thumbnail" da pasta do álbum. O nome de ficheiro da miniatura deve começar com o prefixo pré-configurado para a miniatura e a extensão deve estar entre a seguinte lista :';
-$lang['missing thumbnail'] = 'miniatura em falta';
 $lang['albums deleted in the database'] = 'álbums apagados da base de dados';
 $lang['photos deleted from the database'] = 'fotos apagadas da base de dados';
@@ -770,6 +758,4 @@
 $lang['%s photos can not be regenerated'] = '%s fotos não puderam ser criadas';
 $lang['%s photos have been regenerated'] = '%s fotos foram criadas';
-$lang['%s thumbnails can not be regenerated'] = '%s miniaturas não puderam ser criadas';
-$lang['%s thumbnails have been regenerated'] = '%s miniaturas foram criadas';
 $lang['(this tag will be deleted)'] = '(esta tag será excluída)';
 $lang['... or '] = '... ou ';
@@ -799,6 +785,4 @@
 $lang['Photos generation in progress...'] = 'Gerando fotos ...';
 $lang['Predefined filter'] = 'Filtro predefinido';
-$lang['Regenerate Thumbnails'] = 'Recriar miniaturas';
-$lang['Regenerate Websize Photos'] = 'Redimencionar fotos';
 $lang['Reset ignored updates'] = 'Redefinir atualizaÃ§Ãµes ignoradas';
 $lang['Select an album'] = 'Selecionar um Ã¡lbum';
@@ -844,3 +828,12 @@
 $lang['Center of interest'] = 'Centro de interesse';
 $lang['Move to album'] = 'Mover para o álbum';
+$lang['You can activate only one mobile theme.'] = 'Você pode ativar apenas um tema móvel.';
+$lang['Automatic sort order'] = 'Ordem de classificação automática';
+$lang['apply automatic sort order'] = 'Aplicar ordem de classificação automática';
+$lang['Save manual order'] = 'Gravar ordem manual';
+$lang['cancel manual order'] = 'Cancelar ordem manual';
+$lang['Cancel'] = 'Cancelar';
+$lang['List'] = 'Lista';
+$lang['Web Form'] = 'Formulário web';
+$lang['Applications'] = 'Aplicações'; 
 ?>
Index: /trunk/language/pt_PT/common.lang.php
===================================================================
--- /trunk/language/pt_PT/common.lang.php	(revision 13563)
+++ /trunk/language/pt_PT/common.lang.php	(revision 13564)
@@ -381,7 +381,10 @@
 $lang['Username: %s'] = 'Nome de usuário: %s';
 $lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Se você acha que recebeu este e-mail por engano, por favor contacte-nos em %s';
-$lang['old → new'] = 'antiga → nova';
-$lang['new → old'] = 'nova → antiga';
 $lang['Photo sizes'] = 'Tamanhos da fotografia';
+$lang['Show oldest comments first'] = 'Mostrar comentários mais antigos primeiro';
+$lang['Show latest comments first'] = 'Mostrar comentários mais recentes primeiro';
+$lang['View in'] = 'Visualizar em';
+$lang['Mobile'] = 'Móvel';
+$lang['Desktop'] = 'Área de Trabalho'; 
 
 ?>