Index: extensions/gvideo/language/uk_UA/description.txt
===================================================================
--- extensions/gvideo/language/uk_UA/description.txt	(revision 13568)
+++ extensions/gvideo/language/uk_UA/description.txt	(revision 13568)
@@ -0,0 +1,1 @@
+Додає деякі відео з Google Video, Dailymotion, Youtube, Wideo, Vimeo або Wat.
Index: extensions/gvideo/language/uk_UA/plugin.lang.php
===================================================================
--- extensions/gvideo/language/uk_UA/plugin.lang.php	(revision 13568)
+++ extensions/gvideo/language/uk_UA/plugin.lang.php	(revision 13568)
@@ -0,0 +1,51 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['py_*'] = 'Обов\'язкове поле';
+$lang['py_addvideo'] = 'Додати відео';
+$lang['py_add_band'] = 'Додати смуги з боків зі слайдами';
+$lang['py_autostart'] = 'Автозапуск';
+$lang['py_conf'] = 'Конфігурація';
+$lang['py_error1'] = 'Не локальний сайт! Неможливо створити файл відео.';
+$lang['py_error2'] = 'Неможливо зберегти. Ви не правильно заповнити формуляр.';
+$lang['py_error3'] = 'Ви повинні заповнити обов\'язкове поле *';
+$lang['py_error5'] = 'неправильний URL!';
+$lang['py_error9'] = 'Помилка під час завантажені або зміну розмірів мініатюри.';
+$lang['py_filename'] = 'Ім\'я файлу';
+$lang['py_height'] = 'Висота';
+$lang['py_info2'] = 'мініатюра успішно завантажена';
+$lang['py_info3'] = 'Відео успішно додало';
+$lang['py_info4'] = 'Налаштування збережені.';
+$lang['py_no_thumb'] = 'Немає мініатюри';
+$lang['py_parent'] = 'Основна Категорія';
+$lang['py_playermode'] = 'Player Mode';
+$lang['py_quality'] = 'Якість';
+$lang['py_show_file'] = '<a href="%s" class="externalLink">Показати відео</a>.';
+$lang['py_start'] = 'Початок відео';
+$lang['py_thumb'] = 'Мініатюра';
+$lang['py_thumb_from_server'] = 'Завантажити мініатюру з сервера';
+$lang['py_thumb_from_user'] = 'Додати власну мініатюру:';
+$lang['py_thumb_resize'] = 'Зміна розміру мініатюри';
+$lang['py_title'] = 'PYWaie GVideo';
+$lang['py_url'] = 'URL з відео';
+$lang['py_width'] = 'Ширина';
+?>