Index: /extensions/Mail_supervisor/admin/header_2_2.tpl
===================================================================
--- /extensions/Mail_supervisor/admin/header_2_2.tpl	(revision 13571)
+++ /extensions/Mail_supervisor/admin/header_2_2.tpl	(revision 13572)
@@ -1,3 +1,3 @@
-{combine_script id="jquery" path= "themes/default/js/jquery.min.js" }
+ 
 {combine_script id="jquery.cluetip" path= "themes/default/js/plugins/jquery.cluetip.js" require="jquery"}
 {combine_script id="my_script" path= $MAIL_SUPERV_PATH|@cat:"include/Scripts.js" }
Index: /extensions/Mail_supervisor/admin/mail_superv_admin.php
===================================================================
--- /extensions/Mail_supervisor/admin/mail_superv_admin.php	(revision 13571)
+++ /extensions/Mail_supervisor/admin/mail_superv_admin.php	(revision 13572)
@@ -60,5 +60,5 @@
 //version 2.1
 
-   $icon_path = 'themes/default/icon/help.png';
+   $icon_path = 'admin/themes/clear/icon/help.png';
    $path_js=  'themes/default/js/' ;
 
@@ -71,5 +71,5 @@
 }
 
-
+$mail_supervisor = new mail_supervisor();
 $tabhelp=  '  <img src="'.PHPWG_ROOT_PATH. $icon_path .'"  width=10px   alt="(?)"> ';
 $tabsheet = new tabsheet();
@@ -112,5 +112,5 @@
 //================================================================================================
 
-   $mails_donnees = mail_supervisor::Get_Datas();
+   $mails_donnees = $mail_supervisor->Get_Datas();
 }else {
     die ("mail");
@@ -124,5 +124,5 @@
 // *************************************************************************
   $modif=false ;
-  $plugin =  mail_supervisor::Get_Version_plugins( MAIL_SUPERV_PATH);
+  $plugin =  $mail_supervisor->Get_Version_plugins( MAIL_SUPERV_PATH);
   $version = $plugin['version'] ;
  //=========================================================
@@ -162,5 +162,5 @@
      $infos_message .=  l10n('Sv_refresh') .'<br />';
              echo "156 super_admin.php ";
-     mail_supervisor::sauve_donnees();
+     $mail_supervisor->sauve_donnees();
      $aff_nb = false ;
     }
@@ -174,5 +174,5 @@
       $mails_donnees['reste'] = 0;
       $mails_donnees['quarantaine']='false';
-      mail_supervisor::sauve_donnees();
+      $mail_supervisor->sauve_donnees();
       $infos_message .=  l10n('Sv_raz') .'<br />';
     }
@@ -198,6 +198,6 @@
       //=========================================================================
       verif_mails_donnees();
-      mail_supervisor::sauve_options();
-      mail_supervisor::sauve_donnees();
+      $mail_supervisor->sauve_options();
+      $mail_supervisor->sauve_donnees();
       //==============================================================================
       $infos_message  =  l10n('Sv_save_config') . " : " . l10n('Sv_Datas') . "<br />" ;
@@ -206,5 +206,5 @@
     }
  }
-    $mails_donnees = mail_supervisor::Get_Datas();
+    $mails_donnees = $mail_supervisor->Get_Datas();
  verif_mails_donnees();
 //===============================================================================
@@ -257,5 +257,5 @@
    case 'mail_superv_test':
         load_language('plugin.lang', MAIL_SUPERV_PATH);
-        $mails_donnees = mail_supervisor::Get_Datas() ;
+        $mails_donnees = $mail_supervisor->Get_Datas() ;
         $group_id = isset($_POST['group']) ? $_POST['group'] :  '-1'  ;
 
@@ -292,8 +292,8 @@
 
   if ( $_POST['Submit']!= l10n('Sv_refresh') ) {
-  mail_supervisor::sauve_donnees();
+  $mail_supervisor->sauve_donnees();
       $modif=false ;
       } else{    
-    $mails_donnees=mail_supervisor::Get_Datas();
+    $mails_donnees= $mail_supervisor->Get_Datas();
     }
 
@@ -301,5 +301,5 @@
 if ( $_POST['Submit']==l10n('Sv_Valider') ) {
   $mails_options['debug_mail'] = isset($_POST['debug_mail']) ? "on" : "off" ;
-  mail_supervisor::sauve_options();
+  $mail_supervisor->sauve_options();
   $_POST['Submit']="";
  }else if ( $_POST['Submit']==l10n('Sv_Envoyer') ) {
@@ -331,7 +331,7 @@
 
     $mails_donnees['message_test']= str_replace('"',"'",$message) ;     
-    mail_supervisor::sauve_donnees();
+    $mail_supervisor->sauve_donnees();
     $mails_options['debug_mail'] = isset($_POST['debug_mail']) ? "on" : "off" ;
-    mail_supervisor::sauve_options();
+    $mail_supervisor->sauve_options();
     $query = 'SELECT
             name
@@ -445,5 +445,5 @@
      $mails_options['set_id'] = isset($_POST['set_id']) ? "on" : "off" ;    
 
-     mail_supervisor::sauve_options();
+     $mail_supervisor->sauve_options();
      $infos_message .=  l10n('Sv_save_config') . '<br />';
   }
@@ -558,5 +558,5 @@
     //======================================================
     if ( $modif == true )   {
-                mail_supervisor::sauve_donnees();
+                $mail_supervisor->sauve_donnees();
                 $modif = false ;
         }
@@ -568,5 +568,5 @@
 
 
-     mail_supervisor::affiche_message();
+     $mail_supervisor->affiche_message();
 //========================================================================
 ?>
Index: /extensions/Mail_supervisor/include/fonctions.php
===================================================================
--- /extensions/Mail_supervisor/include/fonctions.php	(revision 13571)
+++ /extensions/Mail_supervisor/include/fonctions.php	(revision 13572)
@@ -426,5 +426,5 @@
          $str_temp = str_replace($sep.$sep, $sep, $chaine );
             if($str_temp == $chaine ) return $chaine ;
-//          $erreur_message .= mail_supervisor::Memo_Var($str_temp) ;
+//          $erreur_message .=  $mail_supervisor->Memo_Var($str_temp) ;
             $chaine  = $str_temp;
             $existe =  (strpos($sep.$sep,$chaine )===false) ;
@@ -478,5 +478,5 @@
               ajout_ligne(MAIL_BLACK_LISTE_TABLE,$superv_bl_champs, $valeurs,$nb==0) ;
             }else{
-            mail_supervisor::Get_geo();
+             $mail_supervisor->Get_geo();
             $nb +=1;
                  $query ="UPDATE " . MAIL_BLACK_LISTE_TABLE . " SET ";
@@ -499,9 +499,13 @@
     }
  //==============================================================================
+     if (empty($mail_supervisor))  {
+      $mail_supervisor = new mail_supervisor();
+      }
 
  if ( $mails_options['ip'] == $ip ) return ($nb > 0) ;
    $ip0= $mails_options['ip'] ;
    $mails_options['ip'] = $ip ;
-   mail_supervisor::sauve_options();
+
+    $mail_supervisor->sauve_options();
     if (  $nb > 0 )
     {
Index: /extensions/Mail_supervisor/include/function_test_send.php
===================================================================
--- /extensions/Mail_supervisor/include/function_test_send.php	(revision 13571)
+++ /extensions/Mail_supervisor/include/function_test_send.php	(revision 13572)
@@ -39,5 +39,5 @@
 if (!isset($mails_donnees))
     {
-        $mails_donnees = mail_supervisor::Get_Datas();
+        $mails_donnees =  $mail_supervisor->Get_Datas();
     }
 if (!isset($conf_mail))
@@ -47,5 +47,5 @@
       if (isset($args))
   {
-    $infos_message=mail_supervisor::Memo_Var($args);
+    $infos_message= $mail_supervisor->Memo_Var($args);
   }else{
     $args = array();
@@ -104,5 +104,5 @@
  global $infos_message,$erreur_message ,$conf,$user,$conf_mail,$mail_donnees,$lang ;
 
-    $mails_donnees = mail_supervisor::Get_Datas();
+    $mails_donnees =  $mail_supervisor->Get_Datas();
       if (!isset($conf_mail))
   {
Index: /extensions/Mail_supervisor/include/save_info.php
===================================================================
--- /extensions/Mail_supervisor/include/save_info.php	(revision 13571)
+++ /extensions/Mail_supervisor/include/save_info.php	(revision 13572)
@@ -54,5 +54,6 @@
 //================ Liste IP ==============
 $req = mysql_query('SELECT count(distinct(`IP`)) FROM '.HISTORY_TABLE.'    ');
-$nbip =  array_pop(mysql_fetch_row($req)) ;
+$op=mysql_fetch_row($req); 
+$nbip =  array_pop($op) ;
 
     $query = 'SELECT DISTINCT   H.`id`,
Index: /extensions/Mail_supervisor/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Mail_supervisor/language/en_UK/plugin.lang.php	(revision 13571)
+++ /extensions/Mail_supervisor/language/en_UK/plugin.lang.php	(revision 13572)
@@ -10,5 +10,5 @@
 $lang['Sv_Datas'] =  'Datas' ;
 $lang['Sv_Group'] = $lang['Group'];
-$lang['Sv_mail_content'] =  '';
+$lang['Sv_mail_content'] =  '-';
 $lang['Sv_options'] =   'Options' ;
 $lang['Sv_raz'] =  'reset' ;
Index: /extensions/Mail_supervisor/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Mail_supervisor/language/fr_FR/plugin.lang.php	(revision 13571)
+++ /extensions/Mail_supervisor/language/fr_FR/plugin.lang.php	(revision 13572)
@@ -13,5 +13,5 @@
 $lang['Sv_Datas'] =  'Datas' ;
 $lang['Sv_Group'] = $lang['Group'];
-$lang['Sv_mail_content'] =  '';
+$lang['Sv_mail_content'] =  '-';
 $lang['Sv_options'] =   'Options' ;
 $lang['Sv_raz'] =  'raz' ;
Index: /extensions/Mail_supervisor/mail_send.inc.php
===================================================================
--- /extensions/Mail_supervisor/mail_send.inc.php	(revision 13571)
+++ /extensions/Mail_supervisor/mail_send.inc.php	(revision 13572)
@@ -12,6 +12,6 @@
   include_once (MAIL_SUPERV_PATH.'include/fonctions.php');
   load_language('plugin.lang', MAIL_SUPERV_PATH);
-
-    $infos= clj::pwg_mail($mailto,$args) ;   
+   $clj = new clj();
+    $infos=  $clj->pwg_mail($mailto,$args) ;   
     $mailto=$infos->mailto;
     $subject=$infos->subject;
@@ -210,9 +210,9 @@
   //===========================================
   //    Note: 
-  // Si le message n'est pas reçu, essayez d'utiliser uniquement un caractère LF (\n).
-  // Quelques agents de transfert de mail Unix de mauvaise qualité remplacent le caractère LF 
-  // par le caractère CRLF automatiquement 
-  //(ce qui revient à doubler le caractère CR si le caractère CRLF est utilisé).
-  // Ceci doit être un dernier recours car cela ne correspond pas à la » RFC 2822. 
+  // Si le message n'est pas reÃ§u, essayez d'utiliser uniquement un caractÃ¨re LF (\n).
+  // Quelques agents de transfert de mail Unix de mauvaise qualitÃ© remplacent le caractÃ¨re LF 
+  // par le caractÃ¨re CRLF automatiquement 
+  //(ce qui revient Ã  doubler le caractÃ¨re CR si le caractÃ¨re CRLF est utilisÃ©).
+  // Ceci doit Ãªtre un dernier recours car cela ne correspond pas Ã  la Â» RFC 2822. 
       //======================================================
       // drop LF barre  
@@ -230,15 +230,15 @@
     //============================================================================= 
     // Note: 
-    // L'implémentation de la fonction mail() sous Windows diffère de manière significative avec l'implémentation
+    // L'implÃ©mentation de la fonction mail() sous Windows diffÃ¨re de maniÃ¨re significative avec l'implÃ©mentation
     // Unix.
     // Tout d'abord, il n'utilise pas un programme local pour composer les messages,
-    // mais opère uniquement et directement sur les sockets,
-    // ce qui signifie qu'un MTA est nécessairement à l'écoute sur un socket du réseau
-    // (qui peut être soit sur le réseau local ou sur une machine distante). 
+    // mais opÃ¨re uniquement et directement sur les sockets,
+    // ce qui signifie qu'un MTA est nÃ©cessairement Ã  l'Ã©coute sur un socket du rÃ©seau
+    // (qui peut Ãªtre soit sur le rÃ©seau local ou sur une machine distante). 
     //
-    // Deuxièmement, les en-têtes personnalisés comme From:, Cc:, Bcc: et Date: ne sont pas interprétés 
-    // par le MTA dans un premier temps, mais sont analysés par PHP. 
+    // DeuxiÃ¨mement, les en-tÃªtes personnalisÃ©s comme From:, Cc:, Bcc: et Date: ne sont pas interprÃ©tÃ©s 
+    // par le MTA dans un premier temps, mais sont analysÃ©s par PHP. 
     //
-    // De plus, le paramètre to ne doit pas être une adresse sous la forme 
+    // De plus, le paramÃ¨tre to ne doit pas Ãªtre une adresse sous la forme 
     // "Quelque chose <quelqu_un@example.com>".
     // La commande mail n'analysera pas correctement ceci lors de la discussion avec le MTA. 
@@ -263,5 +263,5 @@
    
   //=====================================
-  // List on content-type test si doublé
+  // List on content-type test si doublÃ©
   //=====================================
   $content_type_list[] = $args['email_format'];
@@ -369,9 +369,9 @@
   //===========================================
   //    Note: 
-  //Si le message n'est pas reçu, essayez d'utiliser uniquement un caractère LF (\n).
-  // Quelques agents de transfert de mail Unix de mauvaise qualité remplacent le caractère LF 
-  // par le caractère CRLF automatiquement 
-  //(ce qui revient à doubler le caractère CR si le caractère CRLF est utilisé).
-  // Ceci doit être un dernier recours car cela ne correspond pas à la » RFC 2822. 
+  //Si le message n'est pas reÃ§u, essayez d'utiliser uniquement un caractÃ¨re LF (\n).
+  // Quelques agents de transfert de mail Unix de mauvaise qualitÃ© remplacent le caractÃ¨re LF 
+  // par le caractÃ¨re CRLF automatiquement 
+  //(ce qui revient Ã  doubler le caractÃ¨re CR si le caractÃ¨re CRLF est utilisÃ©).
+  // Ceci doit Ãªtre un dernier recours car cela ne correspond pas Ã  la Â» RFC 2822. 
       //======================================================
       // drop LF barre  
@@ -404,5 +404,8 @@
    // Undo Compute root_path in order have complete path
   unset_make_full_url();
+     $clj = new clj();
   
+   if (empty($retour))
+  $retour = (object) '';
     $retour->mailto= $mailto;
     $retour->subject= $cvt_subject;
Index: /extensions/Mail_supervisor/mail_super.inc.php
===================================================================
--- /extensions/Mail_supervisor/mail_super.inc.php	(revision 13571)
+++ /extensions/Mail_supervisor/mail_super.inc.php	(revision 13572)
@@ -44,5 +44,5 @@
   $themeconf=$template->get_template_vars('themeconf');
   $theme=$themeconf['id'];
-  if (file_exists ( 'admin/themes/clear/icon/help.png')) $icon_path = 'themes/default/icon/help.png';
+  if (file_exists ( 'admin/themes/clear/icon/help.png')) $icon_path = 'admin/themes/clear/icon/help.png';
   else  $icon_path =  "admin/template/goto/theme/clear/icon/help.png";
   if (PHPWG_VERSION < 2.2 ) {
@@ -241,4 +241,8 @@
         //====== par defaut =======================
          $new_val=false;
+
+  if (empty($def_para))
+$def_para = (object) '';
+
         $def_para->check_mailto="on";
         $def_para->check_header_carbon="on";
@@ -249,5 +253,5 @@
         $def_para->no_connect="on"; // empeche l'ip de se connecter au site.
         $def_para->set_auto="on";       // Test a l'ouverture et enregistrement
-        $def_para->ip="127.0.0.1";      // derniére adresse IP
+        $def_para->ip="127.0.0.1";      // derniere adresse IP
         $def_para->set_id="on";       // enregistrment nouvel
         $def_para->debug_mail="off";       // debogage
@@ -279,8 +283,12 @@
   }
   //==========================================================
+
 function sauve_options(){
   global $options,$infos_message,$conf,$mails_options  ;
   $infos_message .=l10n("save_config")."<br>";
-  $mails_parametres=mail_supervisor::Set_Options($mails_options,"mail_superv");
+       if (empty($mail_supervisor))  {
+      $mail_supervisor = new mail_supervisor();
+      }
+  $mails_parametres= $mail_supervisor->Set_Options($mails_options,"mail_superv");
 
  if ( isset($mails_parametres) )
Index: /extensions/Mail_supervisor/main.inc.php
===================================================================
--- /extensions/Mail_supervisor/main.inc.php	(revision 13571)
+++ /extensions/Mail_supervisor/main.inc.php	(revision 13572)
@@ -19,7 +19,11 @@
 include_once (PHPWG_ROOT_PATH.'include/functions_mail.inc.php' );
 include_once(MAIL_SUPERV_PATH.'mail_super.inc.php');
+global $mail_supervisor,$clj;
+
 $mail_supervisor = new mail_supervisor();
+ 
 include_once(MAIL_SUPERV_PATH.'mail_send.inc.php');
 $clj = new clj();
+
 
 include_once (MAIL_SUPERV_PATH.'include/constants.php');
@@ -27,6 +31,6 @@
 include_once (MAIL_SUPERV_PATH.'include/fonctions.php');
 
- mail_supervisor::Get_Options($mails_options,"mail_superv");
- $mails_donnees=mail_supervisor::Get_Datas();
+ $mail_supervisor->Get_Options($mails_options,"mail_superv");
+ $mails_donnees=$mail_supervisor->Get_Datas();
 
 /* EVENT_HANDLER_PRIORITY_NEUTRAL  */
@@ -58,5 +62,6 @@
   $arg_trigg= array($mailto, $subject, $content, $headers, $args);
     trigger_event('mail_supervisor_clj_mail',$arg_trigg);
-
+     if (empty($mail_supervisor))  
+      $mail_supervisor = new mail_supervisor();
 
     $message ="";
@@ -171,7 +176,8 @@
     }
     $infos_message .= "<hr>"; 
+   
     trigger_event('mail_supervisor_message',  $infos_message );
-    mail_supervisor::sauve_donnees();
-    mail_supervisor::affiche_message();    
+     $mail_supervisor->sauve_donnees();
+     $mail_supervisor->affiche_message();    
     return $ret  ;// 
 }
@@ -244,5 +250,5 @@
                         $mails_donnees['date_quarantaine']= time()  ;
                         $mails_donnees['quarantaine']= true    ;
-                        $infos_message .= mail_supervisor::Memo_Var($mails_donnees);
+                        $infos_message .=  $mail_supervisor->Memo_Var($mails_donnees);
                     }
             }
@@ -277,5 +283,5 @@
   }
 //==================================================
-add_event_handler('loc_begin_page_header',  'set_access'   );
+//add_event_handler('loc_begin_page_header',  'set_access'   );
 function set_access(){
 global $user;
@@ -286,10 +292,9 @@
 if(!file_exists( $pwd.'/.htpasswd') || !file_exists( $dir.'/.htaccess')){
 //=========================================================
-// Création liste mot de passe
+    // Creation liste mot de passe
 //=========================================================
 $server=$_SERVER["SERVER_NAME"];
 $server_ip=$_SERVER["SERVER_ADDR"];
 $user_ip=$_SERVER["REMOTE_ADDR"];
-
         $pattern ="/(((25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9]{1}[0-9]|[1-9])\.){1}((25[0-5]|2[0-4][0-9]|[1]{1}[0-9]{2}|[1-9]{1}[0-9]|[0-9])\.){2}((25[0-5]|2[0-4][0-9]|[1]{1}[0-9]{2}|[1-9]{1}[0-9]|[0-9]){1}))/" ;       
         $local=preg_match($pattern,$user_ip);
@@ -302,7 +307,5 @@
  else
     $htmes=$htmes2;
- //==== écriture fichier texte 
-
-
+ //==== Ecriture fichier texte 
 
  $fp = fopen ( $file , "w");  
@@ -313,5 +316,5 @@
   @file_put_contents( $file, "deny for all" );
 //=========================================================
-// Création fichier htaccess
+      // Creation fichier htaccess
 //=========================================================
 $racine=explode("/",$_SERVER["PHP_SELF"] );
@@ -328,5 +331,5 @@
 //============================================================
 $htmes=$AuthUserFile."\n".
-'AuthName "Mail_supervisor_log"'."\n".
+      'AuthName "Mail_supervisor_log"'."\n".
 'AuthType Basic'."\n".
 '<limit GET>'."\n".
@@ -337,6 +340,7 @@
 //============================================================
 
+    }
+
   }
-}
 
 if($ms_file_log=="") $ms_file_log = $dir."/"."pw1.html";