Index: /trunk/language/zh_CN/admin.lang.php
===================================================================
--- /trunk/language/zh_CN/admin.lang.php	(revision 13576)
+++ /trunk/language/zh_CN/admin.lang.php	(revision 13577)
@@ -298,10 +298,5 @@
 $lang['registration date'] = '保存日期';
 $lang['clean'] = '清除';
-$lang['remove remote listing.xml file'] = '删除远端文件listing.xml';
-$lang['generate listing'] = '创建列表';
-$lang['generate file listing.xml on remote site'] = '创建远端listing.xml文件';
 $lang['Create this site'] = '创建网站';
-$lang['A local listing.xml file has been found for'] = '发现本地文件listing.xml';
-$lang['read local listing.xml and update'] = '读本地文件listing.xml并更新';
 $lang['test'] = '测试';
 $lang['test this remote site'] = '测试远端站点';
@@ -317,5 +312,4 @@
 $lang['delete this site and all its attached elements'] = '删除此站点和与其相关联的所有信息';
 $lang['an error happened'] = '发生错误';
-$lang['file create_listing_file.php on remote site was not found'] = '在远端站点中未发现create_listing_file.php文件';
 $lang['Local'] = '本地';
 $lang['Remote'] = '远端';
@@ -355,8 +349,4 @@
 $lang['Choose an option'] = '选择一个选项';
 $lang['display maximum informations (added albums and photos, deleted albums and photos)'] = '显示最全的信息 (添加相册和图片，删除相册和图片)';
-$lang['Piwigo version differs on the remote site'] = '与远端站点的Piwigo版本不相同';
-$lang['Version of create_listing_file.php on the remote site and Piwigo must be the same'] = '与远端站点文件create_listing_file.php版本和Piwigo版本必须相同';
-$lang['listing.xml file was not found'] = '没有发现listing.xml文件';
-$lang['listing.xml file was not found on the remote site. This file is generated by choosing the "generate listing" command in the Site manager'] = '没有发现远端站点listing.xml文件. 可以通过命令"générer le listing" 来产生此文件';
 $lang['Error list'] = '错误清单';
 $lang['Errors caption'] = '错误说明';
@@ -364,6 +354,4 @@
 $lang['File/directory read error'] = '文件/文件夹打开错误';
 $lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = '无法打开文件或文件夹(要么根本不存在,要么拒绝访问)';
-$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the album directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = '每个图片文件需要一个缩略图.缩略图应该存在于类文件夹下的子文件夹"thumbnail"中. 缩略图文件名应该以设置参数"prefix_thumbnail"开始, 扩展名为:';
-$lang['missing thumbnail'] = '缺少缩略图';
 $lang['albums deleted in the database'] = '相册已从数据库删除';
 $lang['photos deleted from the database'] = '图片已从数据库中删除';
@@ -751,10 +739,6 @@
 $lang['You can\'t define a default photo order because you have a custom setting in your local configuration.'] = '您不能设置默认图片的排序，因为您已在本地配置文件里有自定义设置';
 $lang['You have specified <i>$conf[\'order_by\']</i> in your local configuration file, this parameter in deprecated, please remove it or rename it into <i>$conf[\'order_by_custom\']</i> !'] = '您已在本地配置文件里定义了 <i>$conf[\'order_by\']</i> , 此参数已不再使用了, 请在 <i>$conf[\'order_by_custom\']</i> 里移除或者改名 !';
-$lang['Regenerate Thumbnails'] = '重新生成缩略图';
-$lang['Regenerate Websize Photos'] = '重新生成网络图片尺寸';
 $lang['Thumbnails generation in progress...'] = '正在生成缩略图...';
 $lang['Photos generation in progress...'] = '正在生成图片...';
-$lang['%s thumbnails have been regenerated'] = '%s 缩略图已被生成';
-$lang['%s thumbnails can not be regenerated'] = '%s 缩略图不能被生成';
 $lang['%s photos have been regenerated'] = '%s 图片已被生成';
 $lang['%s photos can not be regenerated'] = '%s 图片不能被生成';
@@ -851,3 +835,18 @@
 $lang['This album contains no photo.'] = '相册中没有图片';
 $lang['Unlock gallery'] = '解锁相册';
+$lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = '<em>Piwigo Android版</em> 允许您从您的 Android手机或平板电脑连接到Piwigo，创建相册和一次上传多张照片。';
+$lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = '<em>Piwigo iOS版</em> 允许您从您的iPhone，iPad或iPod Touch连接到Piwigo，创建相册和一次上传多张照片。';
+$lang['Applications'] = '应用程序';
+$lang['apply automatic sort order'] = '应用自动排序';
+$lang['Automatic sort order'] = '自动排序';
+$lang['Available on'] = '可用';
+$lang['Available versions for'] = '可用版本';
+$lang['cancel manual order'] = '取消手动排序';
+$lang['Cancel'] = '取消';
+$lang['List'] = '列表';
+$lang['Piwigo for Android'] = 'Piwigo Android版';
+$lang['Piwigo for iOS (iPhone, iPad, iPod Touch)'] = 'Piwigo iOS (iPhone, iPad, iPod Touch)版';
+$lang['Save manual order'] = '保存手动排序';
+$lang['Web Form'] = 'Web窗体';
+$lang['You can activate only one mobile theme.'] = '你只能激活一套手机版主题';
 ?>