Index: /extensions/Subscribe_to_comments/language/cs_CZ/description.txt
===================================================================
--- /extensions/Subscribe_to_comments/language/cs_CZ/description.txt	(revision 13606)
+++ /extensions/Subscribe_to_comments/language/cs_CZ/description.txt	(revision 13606)
@@ -0,0 +1,1 @@
+Tento plugin umožňuje odběr komentářů na email.
Index: /extensions/Subscribe_to_comments/language/cs_CZ/index.php
===================================================================
--- /extensions/Subscribe_to_comments/language/cs_CZ/index.php	(revision 13606)
+++ /extensions/Subscribe_to_comments/language/cs_CZ/index.php	(revision 13606)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Subscribe_to_comments/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/Subscribe_to_comments/language/cs_CZ/plugin.lang.php	(revision 13606)
+++ /extensions/Subscribe_to_comments/language/cs_CZ/plugin.lang.php	(revision 13606)
@@ -0,0 +1,24 @@
+<?php
+$lang['Please check your email inbox to confirm your subscription.'] = 'Please check your email inbox to confirm your subscription.';
+$lang['You have been added to the list of subscribers for this album.'] = 'Byl jste přidán do seznamu účastníků diskuze pro toto album.';
+$lang['You have been added to the list of subscribers for this picture.'] = 'Byl jste přidán do seznamu účastníků diskuze pro tento obrázek.';
+$lang['Invalid email adress, your are not subscribed to comments.'] = 'Byla zadána neplatná email adresa, nebyl jste zařazen k odběru komentářů.';
+$lang['Successfully unsubscribed your email address from receiving notifications.'] = 'Vaše email adresa byla úspěšně odstraněna ze seznamu odběratelů pro upozorňující zprávy.';
+$lang['You are currently subscribed to comments.'] = 'Nyní jste přihlášen k odběru komentářů.';
+$lang['Unsubscribe'] = 'Odhlásit';
+$lang['Subscribe'] = 'Přihlásit';
+$lang['Subscribe without commenting'] = 'Přihlášení bez zadání komentáře';
+$lang['Notify me of followup comments'] = 'Upozorni mě na následující komentáře';
+$lang['Invalid email adress.'] = 'Neplatný email.';
+$lang['Your subscribtion has been validated, thanks you.'] = 'Vaše přihlášení k odběru bylo potvrzeno, děkujeme vám.';
+$lang['Nothing to validate.'] = 'Nic k ověření.';
+$lang['Subscriptions of'] = 'Odběr z';
+$lang['Unsubscribe from email notification'] = 'Odhlásit se z odběru upozorňujících zpráv o nových komentářích';
+$lang['Only unsubscribe notifications for comments from:'] = 'Odhlásit se z odběru upozornění jen z těchto komentářů:';
+$lang['Unsubscribe from all email notifications'] = 'Odhlásit se z odběru upozornění ze všech komentářů';
+$lang['Manage my subscriptions to comments'] = 'Spravovat moje přihlášení k odběrům komentářů';
+$lang['Item'] = 'Zpráva';
+$lang['Date'] = 'Datum';
+$lang['You are not subscribed to any comment.'] = 'Nejste nyní přihlášen k oběru upozornění u žádného komentáře.';
+$lang['Return to item page'] = 'Zpět na stránku zprávy';
+?>