Index: /extensions/rv_akismet/language/cs_CZ/description.txt
===================================================================
--- /extensions/rv_akismet/language/cs_CZ/description.txt	(revision 13607)
+++ /extensions/rv_akismet/language/cs_CZ/description.txt	(revision 13607)
@@ -0,0 +1,1 @@
+Použití online služby Akismet ke kontrole nevyžádaného spamu v komentářích
Index: /extensions/rv_akismet/language/cs_CZ/index.php
===================================================================
--- /extensions/rv_akismet/language/cs_CZ/index.php	(revision 13607)
+++ /extensions/rv_akismet/language/cs_CZ/index.php	(revision 13607)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_akismet/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/rv_akismet/language/cs_CZ/plugin.lang.php	(revision 13607)
+++ /extensions/rv_akismet/language/cs_CZ/plugin.lang.php	(revision 13607)
@@ -0,0 +1,27 @@
+<?php
+
+//admin.tpl
+$lang['This plugin verifies if your comments are spam using the <a href="http://www.akismet.com" target="_blank">akismet online service'] = 'Tento modul ověřuje, zda vaše komentáře jsou nevyžádané pomocí <a href="http://www.akismet.com" target="_blank">Akismet online služby';
+$lang['Akismet has caught'] = 'Akismet zachytil'; 
+$lang['spam comments'] = 'nevyžádaný komentář'; 
+$lang['out of'] = 'nedostatek'; 
+$lang['comments'] = 'komentář'; 
+$lang['reset counters'] = 'vynulování čítačů'; 
+$lang['More statistics on'] = 'Další statistiky'; 
+$lang['akismet site'] = 'akismet web'; 
+$lang['Akismet configuration'] = 'Akismet konfigurace'; 
+$lang['Akismet API Key:'] = 'Akismet API Key:'; 
+$lang['Signup for a personal usage key here:'] = 'Přihlášení a použití osobního klíče zde:'; 
+$lang['Action when spam is detected:'] = 'Akce pokud byl zjištěn spam:'; 
+$lang['moderate'] = 'střední'; 
+$lang['reject'] = 'zamítnout'; 
+$lang['Test your configuration'] = 'Otestovat konfiguraci';
+
+
+//maintain.inc.php
+$lang['You need to define the Akismet api key'] = 'Je třeba definovat Akismet API klíč';
+
+//akismet.class.php
+$lang['Your Akismet API key is not valid.'] = 'Váš Akismet API klíč není platný.';
+
+?>
Index: /extensions/rv_akismet/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/rv_akismet/language/pl_PL/plugin.lang.php	(revision 13606)
+++ /extensions/rv_akismet/language/pl_PL/plugin.lang.php	(revision 13607)
@@ -2,5 +2,5 @@
 
 //admin.tpl
-$lang['Ta wtyczka weryfikuje czy komentarz nie jest spamem za pomocą <a href="http://www.akismet.com" target="_blank">usługi online Akismet'] = 'Ta wtyczka weryfikuje czy komentarz nie jest spamem za pomocą <a href="http://www.akismet.com" target="_blank">usługi online Akismet';
+$lang['This plugin verifies if your comments are spam using the <a href="http://www.akismet.com" target="_blank">akismet online service'] = 'Ta wtyczka weryfikuje czy komentarz nie jest spamem za pomocą <a href="http://www.akismet.com" target="_blank">usługi online Akismet';
 $lang['Akismet has caught'] = 'Akismet złapał';
 $lang['spam comments'] = 'komentarzy spamów';