Index: /trunk/language/sv_SE/admin.lang.php
===================================================================
--- /trunk/language/sv_SE/admin.lang.php	(revision 13622)
+++ /trunk/language/sv_SE/admin.lang.php	(revision 13623)
@@ -220,6 +220,4 @@
 $lang['manage sub-albums'] = 'Hantera underkategorier';
 $lang['Manage'] = 'Hantera';
-$lang['maximum height'] = 'Maximal höjd';
-$lang['maximum width'] = 'Maximal bredd';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Processen svarar inte, behandling måste fortsätta [Uppskattad tid: %d sekund].';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'Processen svarar inte, behandling måste fortsätta [Uppskattad tid: %d sekunder].';
@@ -300,10 +298,5 @@
 $lang['registration date'] = 'registrerings datum';
 $lang['clean'] = 'rensa upp';
-$lang['remove remote listing.xml file'] = 'ta bort fjärrlistning .xml fil';
-$lang['generate listing'] = 'generera listning';
-$lang['generate file listing.xml on remote site'] = 'generera fil listning .xml på fjärrsida';
 $lang['Create this site'] = 'Skapa denna sida';
-$lang['A local listing.xml file has been found for'] = 'En lokal listing.xml fil har hittats för';
-$lang['read local listing.xml and update'] = 'läs lokal listing.xml och uppdatera';
 $lang['test'] = 'test';
 $lang['test this remote site'] = 'testa fjärrsidan';
@@ -320,5 +313,4 @@
 $lang['deleted'] = 'borttagen';
 $lang['an error happened'] = 'ett fel uppstod';
-$lang['file create_listing_file.php on remote site was not found'] = 'fil create_listing_file.php hittades inte på fjärrsidan';
 $lang['Local'] = 'Lokal';
 $lang['Remote'] = 'Fjärrsida';
@@ -336,20 +328,13 @@
 $lang['User list'] = 'Användarlista';
 $lang['Edit photo information'] = 'Modifiera bildinformation';
-$lang['Thumbnail creation'] = 'Skapa miniatyrer';
 $lang['Database synchronization with files'] = 'Synkronisera databas med filer';
 $lang['all'] = 'alla';
-$lang['photos without thumbnail (jpeg and png only)'] = 'bilder utan miniatyrbild (enbart jpeg och png)';
 $lang['height must be a number superior to'] = 'bildens höjd måste vara större än';
 $lang['width must be a number superior to'] = 'bildens bredd måste vara större än';
 $lang['for the file format'] = 'för filformatet';
-$lang['No missing thumbnail'] = 'Inga miniatyrbilder saknas';
 $lang['Photo unreachable or no support'] = 'Bilden kunde inte nås eller filformatet stöds inte';
 $lang['GD version'] = 'GD version';
-$lang['generated in'] = 'generering tog';
-$lang['Results of miniaturization'] = 'Resultat av miniatyriserings process';
 $lang['General statistics'] = 'Allmän statistik';
-$lang['max time'] = 'max tid';
 $lang['average time'] = 'snitt tid';
-$lang['min time'] = 'min tid';
 $lang['number of miniaturized photos'] = 'antal miniatyrer skapade';
 $lang['total time'] = 'total tid';
@@ -364,8 +349,4 @@
 $lang['Choose an option'] = 'Välj ett alternativ';
 $lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'visa maximal information (tillagda kategorier och element, borttagna kategorier och element)';
-$lang['Piwigo version differs on the remote site'] = 'Versionen av Piwigo skiljer sig från den på fjärrsidan';
-$lang['Version of create_listing_file.php on the remote site and Piwigo must be the same'] = 'Versionen av create_listing_file.php måste vara samma på fjärrsidan och Piwigo måste vara samma';
-$lang['listing.xml file was not found'] = 'listing.xml kunde inte hittas';
-$lang['listing.xml file was not found on the remote site. This file is generated by choosing the "generate listing" command in the Site manager'] = 'filen listing.xml hittades inte på fjärrsidan. Denna fil är genererad med "generera listning" kommandot i Site hanteraren';
 $lang['Error list'] = 'Fel lista';
 $lang['Errors caption'] = 'Fel legender';
@@ -373,6 +354,4 @@
 $lang['File/directory read error'] = 'Läs fel i fil/katalog';
 $lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = 'Filen eller katalogen kan inte nås (antigen existerar den inte eller tillträde nekat)';
-$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the album directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'filtypen för en bild måste ha en miniatyrbild. En miniatyrbild måste finnas i en undermapp för kategorien. Namnet på mappen måste vara "thumbnail". Miniatyrbildens filnamn måste börja med det förkonfigurerade prefixet och anslutningen måste finnas i följande lista :';
-$lang['missing thumbnail'] = 'miniatyrbild saknas';
 $lang['albums deleted in the database'] = 'kategorier borttagna ur databasen';
 $lang['photos deleted from the database'] = 'element borttagna ur databasen';
@@ -418,7 +397,4 @@
 $lang['Element'] = 'Element';
 $lang['Section'] = 'Sektion';
-$lang['Save page visits by guests'] = 'Registrera sidor besökta av gäster';
-$lang['Save page visits by users'] = 'Registrera sidor besökta av användare';
-$lang['Save page visits by administrators'] = 'Registrera sidor besökta av administratörer';
 $lang['An information email was sent to group "%s"'] = 'E-mail med information skickat till grupp "%s"';
 $lang['Send an information email to group members'] = 'Skicka e-mail med information till medlemmar i grupp';
@@ -442,5 +418,4 @@
 $lang['guest'] = 'gäst';
 $lang['default values'] = 'standardvärden';
-$lang['High filesize'] = 'Hög upplösning filstorlek';
 $lang['Guest cannot be deleted'] = 'Gäst kan inte tas bort';
 $lang['Default user cannot be deleted'] = 'Standard användare kan inte tas bort';
@@ -639,5 +614,4 @@
 $lang['Activate Navigation Thumbnails'] = 'Aktivera navigations miniatyrer';
 $lang['Activate icon "%s"'] = 'Aktivera ikon "%s"';
-$lang['Activate field "%s"'] = 'Aktivera fält "%s"';
 $lang['Photo Properties'] = 'Foto inställningar';
 $lang['Allow user customization'] = 'Tillåt användaranpassning';
@@ -743,9 +717,5 @@
 $lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = 'FEL:. Detta plugin saknas men den är installerad! Avinstallera det NU'; 
 $lang['display'] = 'Visa';
-$lang['Regenerate Thumbnails'] = 'Generera miniatyrer bilder';
 $lang['Thumbnails generation in progress...'] = 'generering av miniatyr bilder pågår ......';
-$lang['%s thumbnails have been regenerated'] = '%s miniatyrbilder har skapats';
-$lang['%s thumbnails can not be regenerated'] = '%s miniatyrbilder inte kan skapas ';
-$lang['Regenerate Websize Photos'] = 'Skapa Web storleks bilder';
 $lang['Photos generation in progress...'] = 'Bild generering pågår..';
 $lang['%s photos have been regenerated'] = '%s foton har skapats';
@@ -779,5 +749,4 @@
 $lang['Height'] = 'Höjd';
 $lang['Follow Orientation'] = 'Följ bildformat';
-$lang['If you want to regenerate thumbnails, please go to the <a href="%s">Batch Manager</a>.'] = 'Om du vill regenerera miniatyrerna, på till <a href="%s">Batch Manager</a>.';
 $lang['Graphics Library'] = 'Grafikbibliotek';
 $lang['... or '] = '... eller ';
@@ -828,5 +797,4 @@
 $lang['%s has been successfully updated.'] = '%s har uppdaterats.';
 $lang['Add tags'] = 'Lägg till taggar';
-$lang['High dimensions'] = 'Hög upplösning dimensioner';
 $lang['Last import'] = 'Senaste import';
 $lang['Predefined filter'] = 'Fördefinierat filter';
@@ -834,4 +802,18 @@
 $lang['With no tag'] = 'Utan tag';
 $lang['With no virtual album'] = 'Utan virtuellt album';
+$lang['Activate comments'] = 'Aktivera komentarer';
+$lang['Default comments order'] = 'Standardordning för kommentarer';
+$lang['Photo name'] = 'Fotonamn';
+$lang['Send connection settings by email'] = 'Skicka anslutningsinställningar med e-post';
+$lang['The original image quality must be a number between %d and %d'] = 'Originalets bildkvalitet måste vara ett nummer mellan %d %d';
+$lang['The original maximum height must be a number between %d and %d'] = 'Originalets maxhöjd måste vara ett nummer mellan %d och %d';
+$lang['The original maximum width must be a number between %d and %d'] = 'Originalets maxbredd måste vara ett nummer mellan %d och %d';
+$lang['Resize after upload'] = 'Resize after upload';
+$lang['Original Size'] = 'Originalstorlek';
+$lang['A locked gallery is only visible to administrators'] = 'Ett låst galleri är bara synligt för administratörer';
+$lang['Unlock gallery'] = 'Lås upp galleri';
+$lang['Gallery unlocked'] = 'Galleri upplåst';
+$lang['Notify administrators when a comment is'] = 'Meddela administratörer när en kommentar är';
+$lang['modified'] = 'redigerad';
 
 ?>
Index: /trunk/language/sv_SE/install.lang.php
===================================================================
--- /trunk/language/sv_SE/install.lang.php	(revision 13622)
+++ /trunk/language/sv_SE/install.lang.php	(revision 13623)
@@ -71,4 +71,6 @@
 $lang['Just another Piwigo gallery'] = 'Ännu ett Piwigo galleri';
 $lang['Welcome to my photo gallery'] = 'Välkommen till mitt fotogalleri';
+$lang['Welcome to your new installation of Piwigo!'] = 'Välkomment till din nya installation av Piwigo!';
+$lang['Don\'t hesitate to consult our forums for any help : %s'] = 'Tveka inte att kontakta våra forum för hjälp: %s';
 
 