Index: trunk/language/uk_UA/admin.lang.php
===================================================================
--- trunk/language/uk_UA/admin.lang.php	(revision 13566)
+++ trunk/language/uk_UA/admin.lang.php	(revision 13626)
@@ -221,5 +221,5 @@
 $lang['Directory'] = 'Каталог';
 $lang['Discover album:'] = 'Розкрити альбом:';
-$lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'відобразити максимум інформації (додані альбоми і фотографії, видалені альбоми і фотографії)';
+$lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'відобразити максимум інформації (додані альбоми і зображення, видалені альбоми і зображення)';
 $lang['Display options'] = 'Показати опції';
 $lang['Dissociate from album'] = 'Відокремити від альбому';
@@ -241,5 +241,5 @@
 $lang['Element type'] = 'Тип елемента';
 $lang['Element'] = 'Елемент';
-$lang['photos informations synchronized with files metadata'] = 'інформація про фотографії синхронізована з файлами метаданих';
+$lang['photos informations synchronized with files metadata'] = 'інформація про зображення синхронізована з файлами метаданих';
 $lang['Email administrators when a comment is deleted'] = 'Надіслати лист адміністраторам, коли коментар видалено';
 $lang['Email administrators when a comment is modified'] = 'Надіслати лист адміністраторам, коли коментар змінено';
@@ -339,5 +339,5 @@
 $lang['No file was uploaded'] = 'Файл не був завантажений';
 $lang['No mail to send.'] = 'Немає пошти для відправки.';
-$lang['No photo selected, %d photos in current set'] = 'Немає виділених фотографій, %d фото в поточному наборі';
+$lang['No photo selected, %d photos in current set'] = 'Немає виділених зображень, %d зображення в поточному наборі';
 $lang['No photo selected, no action possible.'] = 'Немає виділених фотографій, немає можливих дій.';
 $lang['No results'] = 'Немає результату';
@@ -454,9 +454,9 @@
 $lang['Photo Page'] = 'Сторінка фотографії';
 $lang['Photo Properties'] = 'Властивості фотографії';
-$lang['photos added in the database'] = 'фотографії додані в базу даних';
-$lang['photos candidates for metadata synchronization'] = 'кандидати фотографій для синхронізації метаданих';
-$lang['photos deleted from the database'] = 'фотографії видалені з бази даних';
-$lang['photos per page'] = 'фотографій на сторінку';
-$lang['photos updated in the database'] = 'фотографії оновлені в базі даних';
+$lang['photos added in the database'] = 'зображення додані в базу даних';
+$lang['photos candidates for metadata synchronization'] = 'кандидати зображень для синхронізації метаданих';
+$lang['photos deleted from the database'] = 'зображення видалені з бази даних';
+$lang['photos per page'] = 'зображень на сторінку';
+$lang['photos updated in the database'] = 'зображення оновлені в базі даних';
 $lang['Photos'] = 'Фотографії';
 $lang['Themes'] = 'Теми';
@@ -544,5 +544,5 @@
 $lang['The permalink name must be composed of a-z, A-Z, 0-9, "-", "_" or "/". It must not be numeric or start with number followed by "-"'] = 'Посилання повинне складатися з a-z, A-Z, 0-9, "-", "_" або "/". Воно не повинно бути числовим або починатися з цифри, що слідують за "-"';
 $lang['Switch to clear or dark colors for administration'] = 'Переключити на світлі або темні кольори для адміністрації';
-$lang['synchronize files metadata with database photos informations'] = 'синхронізувати базу даних фотографій з метаданими файлів';
+$lang['synchronize files metadata with database photos informations'] = 'синхронізувати базу даних зображень з метаданими файлів';
 $lang['synchronize files structure with database'] = 'синхронізувати структуру файлів з базою данних';
 $lang['Synchronize metadata'] = 'синхронізувати метаданні';
@@ -666,6 +666,6 @@
 $lang['Obsolete Plugins'] = 'Застарілі плаґіни';
 $lang['Photo %s of %s'] = 'Фотографія %s з %s';
-$lang['Photo name'] = 'Ім\'я фотографії';
-$lang['Photos generation in progress...'] = 'Генерація фотографій в процесі...';
+$lang['Photo name'] = 'Ім\'я зображення';
+$lang['Photos generation in progress...'] = 'Процес генерації зображень...';
 $lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo не може отримати файл оновлення з сервера';
 $lang['Piwigo Update'] = 'Piwigo оновлення';
@@ -732,5 +732,5 @@
 $lang['Update Complete'] = 'Оновлення завершено';
 $lang['Update in progress... Please wait.'] = 'Триває оновлення... Будь ласка, почекайте.';
-$lang['Update photos information'] = 'Оновлення інформації фотографій';
+$lang['Update photos information'] = 'Оновлення інформації зображень';
 $lang['update the database from files'] = 'оновлення бази даних з файлами';
 $lang['Update to Piwigo %s'] = 'Оновлення Piwigo %s';
@@ -739,5 +739,5 @@
 $lang['Upload Photos'] = 'Завантажити фотографії';
 $lang['Uploaded Photos'] = 'Завантажено світлини';
-$lang['Use the default photo sort order (defined in the configuration file)'] = 'За допомогою сортування за замовчуванням фото порядку (визначені в файлі конфігурації)';
+$lang['Use the default photo sort order (defined in the configuration file)'] = 'За допомогою сортування за замовчуванням порядку зображення (визначені в файлі конфігурації)';
 $lang['Used metadata'] = 'метадані, що використовуються';
 $lang['User'] = 'Користувач';
@@ -801,7 +801,7 @@
 $lang['Save visits in history for'] = 'Зберегти відвідування в історії';
 $lang['simple visitors'] = 'прості відвідувачі';
-$lang['This album contains %d photos, added between %s and %s.'] = 'Цей альбом містить %d фотографій, додано ​​між %s і %s';
-$lang['This album contains %d photos, added on %s.'] = 'Цей альбом містить %d фотографій, додано %s.';
-$lang['This album contains no photo.'] = 'Цей альбом не містить фотографій.';
+$lang['This album contains %d photos, added between %s and %s.'] = 'Цей альбом містить %d зображень, додано ​​між %s і %s';
+$lang['This album contains %d photos, added on %s.'] = 'Цей альбом містить %d зображень, додано %s.';
+$lang['This album contains no photo.'] = 'Цей альбом не містить зображень.';
 $lang['Unlock gallery'] = 'Розблокувати галерею';
 $lang['Year'] = 'Рік';
@@ -840,3 +840,32 @@
 $lang['Piwigo for Android'] = 'Piwigo для Android';
 $lang['Piwigo for iOS (iPhone, iPad, iPod Touch)'] = 'Piwigo для iOS(iPhone, iPad, iPod Touch)';
+$lang['%u users have automatic permission because they belong to a granted group.'] = '%u користувачі мають автоматичний дозвіл, тому що вони належать до наданої групи.';
+$lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = '<em>Piwigo для Android</em> додаток дозволяє вам підключити ваш телефон або планшет в галерею Piwigo, створити кілька альбомів і завантажити декілька зображень одночасно.';
+$lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = '<em>Piwigo для iOS</em> додаток дає можливість підключатись до вашої галереї Piwigo з вашого сенсорного iPhone, iPad та iPod, створити кілька альбомів і завантажити декілька зображень одночасно.';
+$lang['Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'] = 'Adobe Photoshop Lightroom являє собою програмне забезпечення фотографа, призначене для управління великою кількістю цифрових зображень і робить роботу постпродакшн.';
+$lang['any visitor can see this album'] = 'будь-який відвідувач може бачити цей альбом';
+$lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture є потужним інструментом для уточнення зображення і керувати великими бібліотеками на Mac.';
+$lang['Aperture is designed for professional photographers with iPhoto simplicity.'] = 'Aperture призначена для професійних фотографів з iPhoto.';
+$lang['digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.'] = 'digiKam - передове цифрове безкоштовне програмне забезпечення управління зображень для Linux, Windows, і MacOSX.';
+$lang['digiKam is designed for photographers who want to view, manage, edit, enhance, organize, tag, and share photographs.'] = 'DigiKam призначений для фотографів, які хочуть переглядати, управляти, редагувати, покращувати організацію, теґи та обміну фотографіями.';
+$lang['Features include gallery browsing, album creation and photo upload.'] = 'Особливості включають перегляд галереї, створення альбому і завантаження зображень.';
+$lang['Groups and users'] = 'Групи та користувачі';
+$lang['iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.'] = 'iPhoto - менеджер зображень за замовченням на MacOSX. Доповнення Piwigo експортує до програми створені нові альбоми і ваші фото безпосередньо від iPhoto до вашої фотогалереї Piwigo.';
+$lang['On your Linux, simply install Shotwell with your package manager and the activate Piwigo publishing option.'] = 'На вашому Linux , просто встановіть Shotwell з вашим менеджером пакетів та активувати Piwigo параметр публікації.';
+$lang['Permission granted for groups'] = 'Дозвіл, наданий для груп';
+$lang['Permission granted for users'] = 'Дозвіл, наданий для користувачів';
+$lang['Piwigo export plugin for Aperture'] = 'Piwigo export плаґін для Aperture';
+$lang['Piwigo export plugin for iPhoto'] = 'Piwigo export плаґін для iPhoto';
+$lang['Piwigo publish plugin for digiKam'] = 'Piwigo publish плаґін для digiKam';
+$lang['Piwigo Publish plugin for Lightroom'] = 'Piwigo Видають доповнення до програми для Lightroom';
+$lang['Piwigo publish plugin for Shotwell'] = 'Piwigo publish плаґін для Shotwell';
+$lang['ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform.'] = 'ReGalAndroid (RemoteGallery клієнт для Android) це клієнт з відкритим вихідним кодом (GPL версії 3) Piwigo для платформи Android.';
+$lang['Select groups...'] = 'Виберіть групи...';
+$lang['Select users...'] = 'Виберіть користувачів...';
+$lang['Shotwell is an open source digital photo organizer that runs on Linux. It is the default photo manager in Ubuntu and Fedora.'] = 'Shotwell є відкритим початковим цифровим організатором зображень, який працює на Linux. Він - менеджер заданий за замовчуванню зображень в Ubuntu і Fedora.';
+$lang['The Piwigo export plugin allows you to create albums and export photos.'] = 'Плаґін Piwigo експорту дозволяє створювати альбоми та експортовані зображення.';
+$lang['The Piwigo publish Plug-in allows you to export and synchronize photos from Lightroom directly to your Piwigo photo gallery.'] = 'Piwigo publish плаґін на дозволяє експортувати та синхронізувати фотографії з Lightroom безпосередньо до вашої галереї Piwigo.';
+$lang['There is no group in this gallery.'] = 'Немає ніякої групи в цій галереї.';
+$lang['To export your photos from digiKam to Piwigo, simply install digiKam and the Kipi-plugins.'] = 'Щоб експортувати ваші зображення з digiKam до Piwigo, просто встановіть digiKam і Kipi-plugins.';
+$lang['visitors need to login and have the appropriate permissions to see this album'] = 'відвідувачі повинні увійти і мати відповідні дозволи, щоб побачити цей альбом';
 ?>