Index: /trunk/admin/batch_manager.php
===================================================================
--- /trunk/admin/batch_manager.php	(revision 13645)
+++ /trunk/admin/batch_manager.php	(revision 13646)
@@ -84,4 +84,9 @@
     {
       $_SESSION['bulk_manager_filter']['level'] = $_POST['filter_level'];
+      
+      if (isset($_POST['filter_level_include_lower']))
+      {
+        $_SESSION['bulk_manager_filter']['level_include_lower'] = true;
+      }
     }
   }
@@ -290,8 +295,14 @@
 if (isset($_SESSION['bulk_manager_filter']['level']))
 {
+  $operator = '=';
+  if (isset($_SESSION['bulk_manager_filter']['level_include_lower']))
+  {
+    $operator = '<=';
+  }
+  
   $query = '
 SELECT id
   FROM '.IMAGES_TABLE.'
-  WHERE level >= '.$_SESSION['bulk_manager_filter']['level'].'
+  WHERE level '.$operator.' '.$_SESSION['bulk_manager_filter']['level'].'
 ;';
   array_push(
Index: /trunk/admin/batch_manager_global.php
===================================================================
--- /trunk/admin/batch_manager_global.php	(revision 13645)
+++ /trunk/admin/batch_manager_global.php	(revision 13646)
@@ -520,13 +520,23 @@
 
 // privacy level
+foreach ($conf['available_permission_levels'] as $level)
+{
+  $level_options[$level] = l10n(sprintf('Level %d', $level));
+
+  if (0 == $level)
+  {
+    $level_options[$level] = l10n('Everybody');
+  }
+}
 $template->assign(
-    array(
-      'filter_level_options'=> get_privacy_level_options(),
-      'filter_level_options_selected' => isset($_SESSION['bulk_manager_filter']['level'])
-        ? $_SESSION['bulk_manager_filter']['level']
-        : 0,
+  array(
+    'filter_level_options'=> $level_options,
+    'filter_level_options_selected' => isset($_SESSION['bulk_manager_filter']['level'])
+    ? $_SESSION['bulk_manager_filter']['level']
+    : 0,
     )
   );
 
+// tags
 if (!empty($_SESSION['bulk_manager_filter']['tags']))
 {
Index: /trunk/admin/themes/default/template/batch_manager_global.tpl
===================================================================
--- /trunk/admin/themes/default/template/batch_manager_global.tpl	(revision 13645)
+++ /trunk/admin/themes/default/template/batch_manager_global.tpl	(revision 13646)
@@ -539,8 +539,9 @@
         <a href="#" class="removeFilter" title="remove this filter"><span>[x]</span></a>
         <input type="checkbox" name="filter_level_use" class="useFilterCheckbox" {if isset($filter.level)}checked="checked"{/if}>
-        {'Who can see these photos?'|@translate}
+        {'Privacy level'|@translate}
         <select name="filter_level" size="1">
           {html_options options=$filter_level_options selected=$filter_level_options_selected}
         </select>
+        <label><input type="checkbox" name="filter_level_include_lower" {if isset($filter.level_include_lower)}checked="checked"{/if}> {'include photos with lower privacy level'|@translate}</label>
       </li>
     </ul>
@@ -553,5 +554,5 @@
         <option value="filter_category">{'Album'|@translate}</option>
 				<option value="filter_tags">{'Tags'|@translate}</option>
-        <option value="filter_level">{'Who can see these photos?'|@translate}</option>
+        <option value="filter_level">{'Privacy level'|@translate}</option>
       </select>
 <!--      <input id="removeFilters" class="submit" type="submit" value="Remove all filters" name="removeFilters"> -->
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 13645)
+++ /trunk/language/en_UK/admin.lang.php	(revision 13646)
@@ -874,3 +874,4 @@
 $lang['Select users...'] = 'Select users...';
 $lang['%u users have automatic permission because they belong to a granted group.'] = '%u users have automatic permission because they belong to a granted group.';
+$lang['include photos with lower privacy level'] = 'include photos with lower privacy level';
 ?>
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 13645)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 13646)
@@ -889,3 +889,4 @@
 $lang['Select users...'] = 'Sélectionnez les utilisateurs...';
 $lang['%u users have automatic permission because they belong to a granted group.'] = '%u utilisateurs ont automatiquement la permission car ils appartiennent à un groupe autorisé.';
+$lang['include photos with lower privacy level'] = 'inclure les photos d\'un niveau de confidentialité inférieur';
 ?>