Index: /extensions/netinstall/trunk/language/uk_UA/iso.txt
===================================================================
--- /extensions/netinstall/trunk/language/uk_UA/iso.txt	(revision 13665)
+++ /extensions/netinstall/trunk/language/uk_UA/iso.txt	(revision 13665)
@@ -0,0 +1,1 @@
+Українська [UA]
Index: /extensions/netinstall/trunk/language/uk_UA/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/uk_UA/loader.lang.txt	(revision 13665)
+++ /extensions/netinstall/trunk/language/uk_UA/loader.lang.txt	(revision 13665)
@@ -0,0 +1,63 @@
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['Piwigo NetInstall'] = 'NetInstall Piwigo';
+$lang['Welcome to NetInstall!'] = 'Ласкаво просимо до NetInstall!';
+$lang['Language'] = 'Мова';
+$lang['This tool is meant to retrieve the latest Piwigo archive and unzip it in your webspace.'] = 'Цей інструмент призначений для отримання останнього архів Piwigo і розпакувати його в домашню сторінку.';
+$lang['Right after then, you will be redirect to the Piwigo Setup Wizard.'] = 'Відразу після, ви будете перенаправлені для майстра установки Piwigo.';
+
+$lang['Write access is needed'] = 'Необхідний доступ на запис';
+$lang['It looks like NetInstall wont be able to write in the current directory, and this is required to follow on.'] = 'Схоже, що NetInstall не зможете написати в поточному каталозі, і це необхідно дотримуватися.';
+$lang['Please try to change the permissions to allow write access, then reload this page by hitting the Refresh button.'] = 'Будь ласка , постарайтеся змінити права доступу, щоб доступ на запис, а потім перезавантажте сторінку натиснувши кнопку Оновити.';
+$lang['Refresh'] = 'Оновити';
+
+$lang['PHP 5 is required'] = 'Потрібен PHP 5';
+$lang['It appears your webhost is currently running PHP %s.'] = 'Схоже, ваш хостинг в даний час працює з PHP %s.';
+$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall може спробувати переключити конфігурацію PHP 5 шляхом створення або зміни .htaccess файла.';
+$lang['Note you can change your configuration by yourself and restart NetInstall after that.'] = 'Зверніть увагу, ви можете змінити конфігурацію собі і перезавантажити NetInstall після цього.';
+$lang['Try to configure PHP 5'] = 'Спробуйте налаштувати PHP 5';
+
+$lang['Retrieve and unzip Piwigo'] = 'Завантажити і розпакувати Piwigo';
+$lang['Destination:'] = 'Призначення:';
+
+$lang['Sorry!'] = 'Вибачте!';
+$lang['NetInstall was not able to configure PHP 5.'] = 'NetInstall не вдалося налаштувати PHP 5.';
+$lang["You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself."] = 'Ви повинні зв\'язатися з вашим хостинг-провайдером, щоб дізнатися, як налаштувати PHP 5';
+$lang['Hope to see you back soon.'] = 'Сподіваюся побачити вас найближчим часом.';
+
+$lang['It seems like a previous Piwigo installation is still sitting in that space.'] = 'Схоже, що попередня установка Piwigo ще знаходиться в цьому просторі.';
+$lang['You need to rename or remove it before we can go further...'] = 'Ви повинні перейменувати або видалити його, перш ніж ми можемо піти далі...';
+$lang['Needed files are not present.'] = 'Необхідні файли відсутні.';
+$lang['Invalid zip file.'] = 'Неправильний zip-файл.';
+$lang['It seems that the zip file was not extracted.'] = 'Здається, що поштовий файл не було витягнуто.';
+
+$lang['Congratulations!'] = 'Вітаємо!';
+$lang['Everything went fine. You are now ready to start the installation procedure.'] = 'Все йшло добре. Ви тепер готові почати процедуру встановлення.';
+$lang['Install Piwigo now'] = 'Встановіть Piwigo зараз';
+$lang['An error occurred while grabbing the necessary files to go on.'] = 'Сталася помилка під час захоплення необхідних файлів для продовження.';
+$lang['Something went wrong...'] = 'Щось пішло не так...';
+$lang['What are you doing here that way ?!'] = 'Що ви робите тут, цей шлях ?!';
+
+$lang['This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!'] = 'Цей завантажувач спочатку кодували для <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Дякую!';
+
+$lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = 'Потрібна допомога? Задайте питання на <a href="%s">Дошці оголошень Piwigo </a>.';