Index: trunk/language/sk_SK/admin.lang.php
===================================================================
--- trunk/language/sk_SK/admin.lang.php	(revision 13272)
+++ trunk/language/sk_SK/admin.lang.php	(revision 13678)
@@ -298,10 +298,5 @@
 $lang['registration date'] = 'dátum registrácie';
 $lang['clean'] = 'vyčistiť';
-$lang['remove remote listing.xml file'] = 'vymazať vzdialený súbor listing.xml';
-$lang['generate listing'] = 'generovať zoznam';
-$lang['generate file listing.xml on remote site'] = 'generovať súbor listing.xml vzdialenej stránky';
 $lang['Create this site'] = 'Vytvoriť túto stránku';
-$lang['A local listing.xml file has been found for'] = 'Miestny súbor listing.xml bol nájdený pre ';
-$lang['read local listing.xml and update'] = 'čítať miestny súbor listing.xml a aktualizovať';
 $lang['test'] = 'test';
 $lang['test this remote site'] = 'otestovať vzdialenú stránku';
@@ -318,5 +313,4 @@
 $lang['deleted'] = 'vymazané';
 $lang['an error happened'] = 'došlo k chybe';
-$lang['file create_listing_file.php on remote site was not found'] = 'súbor create_listing_file.php na vzdialenej stránke nebol nájdený';
 $lang['Local'] = 'Miestny';
 $lang['Remote'] = 'Vzdialený';
@@ -355,8 +349,4 @@
 $lang['Choose an option'] = 'Zvoliť nastavenie';
 $lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'Zobraziť všetky informácie (pridané a odstránené albumy a položky)';
-$lang['Piwigo version differs on the remote site'] = 'Verzia Piwigo na vzdialenej stránke nie je rovnaká ako miestna';
-$lang['Version of create_listing_file.php on the remote site and Piwigo must be the same'] = 'Verzia súboru create_listing_file.php na vzdialenej stránke musí byť rovnaká ako verzia miestneho súboru';
-$lang['listing.xml file was not found'] = 'Súbor listing.xml nebol nájdený';
-$lang['listing.xml file was not found on the remote site. This file is generated by choosing the "generate listing" command in the Site manager'] = 'Súbor listing.xml nebol nájdený na vzdialenej stránke. Tento súbor je generovaný príkazom Generovať zoznam v nastavení Správcu stránky';
 $lang['Error list'] = 'Zozam chýb';
 $lang['Errors caption'] = 'Chyby - legenda';
@@ -364,6 +354,4 @@
 $lang['File/directory read error'] = 'Chyba pri čítaní súboru/adresára';
 $lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = 'Súbor alebo adresár nie je prístupný alebo neexistuje';
-$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the album directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'typ súboru vyžaduje náhľad. Náhľad musí byť umiestnený v podadresári "thumbnail" v adresári s kategóriou. Názov súboru náhľadu musí začínať nastavenou predponou a prípona musí korešpondovať s nasledujúcim zoznamom:';
-$lang['missing thumbnail'] = 'žiadny náhľad';
 $lang['albums deleted in the database'] = 'albumy odstránené z databázy';
 $lang['photos deleted from the database'] = 'položky odstránené z databázy';
@@ -731,9 +719,5 @@
 $lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = 'CHYBA: TENTO DOPLNOK CHÝBA ALE JE NAINŠTALOVANÝ! ODINŠTALUJTE HO TERAZ.';
 $lang['display'] = 'zobrazenie';
-$lang['Regenerate Thumbnails'] = 'Vytvorenie náhľadov';
 $lang['Thumbnails generation in progress...'] = 'Prebieha tvorba náhľadov...';
-$lang['%s thumbnails have been regenerated'] = '%s náhľadov bolo vytvorených';
-$lang['%s thumbnails can not be regenerated'] = '%s náhľadov nebolo vytvorených';
-$lang['Regenerate Websize Photos'] = 'Zlepšenie web veľkostí fotografií';
 $lang['Photos generation in progress...'] = 'Prebieha tvorba fotografií...';
 $lang['%s photos have been regenerated'] = '%s fotografií bolo vytvorených';
@@ -847,4 +831,49 @@
 $lang['Move to album'] = 'Premiestniť do albumu';
 $lang['You can activate only one mobile theme.'] = 'Môžete aktivovať len jednu tému pre mobil.';
+$lang['Automatic sort order'] = 'Automatické zoradenie';
+$lang['apply automatic sort order'] = 'použiť automatické zoradenie';
+$lang['Save manual order'] = 'Uložiť manuálne zoradenie';
+$lang['cancel manual order'] = 'zrušiť manuálne zoradenie';
+$lang['Cancel'] = 'Zrušiť';
+$lang['List'] = 'Zoznam';
+$lang['Web Form'] = 'Web formulár';
+$lang['Applications'] = 'Aplikácie';
+$lang['Available versions for'] = 'Dostupné verzie pre';
+$lang['Available on'] = 'K dispozícii';
+$lang['Piwigo for iOS (iPhone, iPad, iPod Touch)'] = 'Piwigo pre iOS (iPhone, iPad, iPod Touch)';
+$lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = '<em>Piwigo pre iOS</em> aplikácie umožňujúcej spojenie na Vašu Piwigo galériu pre Váš iPhone, iPad alebo iPod Touch, vytváranie albumov a nahrávanie fotografií.';
+$lang['Piwigo for Android'] = 'Piwigo pre Android';
+$lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = '<em>Piwigo pre Android</em> aplikácie umožňujúcej spojenie na Vašu Piwigo galériu pre Váš iPhone, iPad alebo iPod Touch, vytváranie albumov a nahrávanie fotografií.';
+$lang['Piwigo Publish plugin for Lightroom'] = 'Piwigo publikačný doplnok pre Lightroom';
+$lang['Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'] = 'Adobe Photoshop Lightroom je fotografický softvér určený na správu väčšieho počtu digitálnych fotografií a postprodukčnú prácu.';
+$lang['The Piwigo publish Plug-in allows you to export and synchronize photos from Lightroom directly to your Piwigo photo gallery.'] = 'Piwigo publikačný doplnok umožňuje export a synchronizáciu fotografií z Lightroomu priamo do Vašej Piwigo foto galérie.';
+$lang['Piwigo publish plugin for Shotwell'] = 'Piwigo publikačný doplnok pre Shotwell';
+$lang['Shotwell is an open source digital photo organizer that runs on Linux. It is the default photo manager in Ubuntu and Fedora.'] = 'Shotwell je open source digitálny foto organizér pracujúci pod Linuxom. Je to predvolený foto správca v Ubuntu a Fedore.';
+$lang['On your Linux, simply install Shotwell with your package manager and the activate Piwigo publishing option.'] = 'Vo Vašom Linuxe jednoducho nainštalujte Shotwell so správcovským balíkom a aktivujte Piwigo publikačnú voľbu.';
+$lang['Piwigo publish plugin for digiKam'] = 'Piwigo publikačný doplnok pre digiKam';
+$lang['digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.'] = 'digiKam je pokročilý digitálny foto správca a to voľne šíriteľný pre Linux, Windows, a MacOSX.';
+$lang['digiKam is designed for photographers who want to view, manage, edit, enhance, organize, tag, and share photographs.'] = 'digiKam je navrhnutý pre fotografov, ktorí chcú prezerať, spravovať, upravovať, vylepšovať, organizovať, označovať a zdieľať fotografie.';
+$lang['To export your photos from digiKam to Piwigo, simply install digiKam and the Kipi-plugins.'] = 'Pre export Vašich fotografií z digiKam do Piwigo jednoducho nainštalujte digiKam a Kipi-doplnky.';
+$lang['Piwigo export plugin for iPhoto'] = 'Piwigo export doplnok pre iPhoto';
+$lang['iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.'] = 'iPhoto je predvolený foto správca na MacOSX. Piwigo export doplnok umožňuje vytvárať nové albumy a exportovať Vaše fotografie priamo z iPhoto do Vašej Piwigo foto galérie.';
+$lang['Piwigo export plugin for Aperture'] = 'Piwigo export doplnok pre Aperture';
+$lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture je výkonný nástroj na vylepšovanie fotografií a správu veľkých knižníc na Mac.';
+$lang['Aperture is designed for professional photographers with iPhoto simplicity.'] = 'Aperture je navrhnutý pre profesionálnych fotografov s jednoduchosťou iPhoto.';
+$lang['The Piwigo export plugin allows you to create albums and export photos.'] = 'Piwigo export doplnok umožňuje vytváranie albumov a export fotografií.';
+$lang['ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform.'] = 'ReGalAndroid (RemoteGallery klient pre Android) je open source (GPL v3) Piwigo klient pre platformu Android.';
+$lang['Features include gallery browsing, album creation and photo upload.'] = 'Funkcie vrátane prehliadania galérií, vytvárania albumov a nahrávania fotografií.';
+$lang['Generate multiple size images'] = 'Tvorba početných veľkostí fotografií';
+$lang['Delete multiple size images'] = 'Vymazanie početných veľkostí fotografií';
+$lang['any visitor can see this album'] = 'ktorýkoľvek návštevník môže vidieť tento album';
+$lang['visitors need to login and have the appropriate permissions to see this album'] = 'návštevníci sa musia prihlásiť a mať povolené vidieť tento album';
+$lang['Groups and users'] = 'Skupiny a používatelia';
+$lang['Permission granted for groups'] = 'Práva udelené pre skupiny';
+$lang['Select groups...'] = 'Výber skupín...';
+$lang['There is no group in this gallery.'] = 'Nie je definovaná skupina v tejto galérii.';
+$lang['Permission granted for users'] = 'Povolenia udelené pre používateľov';
+$lang['Select users...'] = 'Výber používateľov...';
+$lang['%u users have automatic permission because they belong to a granted group.'] = '%u používateľov má automaticky oprávnenia, pretože patria do skupiny s prideleným oprávnením.';
+$lang['include photos with lower privacy level'] = 'vrátane fotografií s nízkou súkromnou úrovňou';
+$lang['custom'] = 'Voliteľné';
 
 ?>